﻿{
     "hitLogHeader": {
      "enabled": false,
      "updateEvent": "PY(ON_TOTAL_EFFICIENCY), ON_PANEL_MODE_CHANGED",
      "x": "{{pp.mode=0?{{battletype-key=epic_battle?240|5}}|{{py:sum({{pp.widthLeft}},50)}}}}",
      "y": "{{pp.mode=0?{{battletype-key=epic_battle?55|65}}|35}}",
      "width": 300,
      "height": 22,
      "textFormat": { "color": "0xF4EFE8", "size": 15 },
      "format": "{{py:xvm.totalDamage=0?{{l10n:Hits}}: <font size='13'>#0</font>|{{l10n:Hits}}: <font size='13'>#{{py:xvm.numberHitsDealt}}</font> {{l10n:Total}}: <font color='{{py:xvm.totalDamageColor}}'><b>{{py:xvm.totalDamage}}</b></font> {{l10n:Last}}: <font color='{{py:xvm.dmgKindColor}}'><b>{{py:xvm.dmg}}</b></font>}}"
    },
    // Log of applied damage (see hitLog.xc).
    "hitLogBody": {
      "enabled": true,
      "updateEvent": "PY(ON_HIT_LOG), ON_PANEL_MODE_CHANGED",
      "x": "{{pp.mode=0?{{battletype-key=epic_battle?245|5}}|{{py:sum({{pp.widthLeft}},{{py:xvm.hitLog.log.x}})}}}}",
      "y": "{{pp.mode=0?{{battletype-key=epic_battle?80|90}}|{{py:xvm.hitLog.log.y}}}}",
      "width": 500,
      "height": 1000,
      "layer": "bottom",
      "textFormat": { "color": "0xF4EFE8", "size": 15 },
      "format": "{{py:xvm.hitLog.log}}",
      "mouseEvents": {
        "mouseDown": "hitLog_mouseDown",
        "mouseUp": "hitLog_mouseUp",
        "mouseMove": "hitLog_mouseMove"
      }
    },
    // Background of the log of applied damage.
    "hitLogBackground": {
      "enabled": false,
      "$ref": { "path":"hitLogBody" },
      "format": "{{py:xvm.hitLog.log.bg}}"
    },
    
    "totalEfficiency": {
      "enabled": true,
      "updateEvent": "PY(ON_TOTAL_EFFICIENCY), ON_PANEL_MODE_CHANGED",
      "x": "{{pp.mode=0?{{battletype-key=epic_battle?245|5}}|{{py:sum({{pp.widthLeft}},50)}}}}",
      "y": "{{pp.mode=0?{{battletype-key=epic_battle?55|65}}|35}}",
      "width": "475",
      "height": 22,
      "textFormat": { "size": 16 },
      "format": "<textformat tabstops='[105,180,245,295,355]' leading='-2'><img src='cfg://grandpa/images/Efficiency/damage.png' vspace='-2'>  <font color='{{py:xvm.totalDamage>0?{{py:xvm.totalDamageColor}}}}'>{{py:xvm.totalDamage}}</font> | <font color='#FFAA55'>{{py:xvm.dmg}}</font><tab><img src='cfg://grandpa/images/Efficiency/assist.png' vspace='-2'>  {{py:xvm.totalAssist}}<tab><img src='cfg://grandpa/images/Efficiency/reflect.png' vspace='-2'>  {{py:xvm.totalBlocked}}<tab><img src='cfg://grandpa/images/Efficiency/discover.png' vspace='-2'>  {{py:xvm.detection}}<tab><img src='cfg://grandpa/images/Efficiency/stun.png' vspace='-2'>  {{py:xvm.totalStun}}<tab><img src='cfg://grandpa/images/Efficiency/hits2.png' vspace='-2'>  {{py:xvm.numberShotsDealt}}  /  <font color='#BCFFF8'>{{py:xvm.numberHits}}</font></textformat>"
     },
     
    "winChance": {
      "enabled": false,
      "updateEvent": "ON_VEHICLE_DESTROYED",
      "x": 500,
      "y": 2,
      "width": 300,
      "height": 20,
      "shadow": { "distance": 1, "angle": 90, "alpha": 80, "blur": 5, "strength": 1.5 },
      "textFormat": { "color": "0xF4EFE8", "size": 15 },
      "format": "{{xvm-stat?{{chancesStatic}}{{chancesStatic? / |}}{{chancesLive}}}}"
    },
    
    "teamRating": {
      "enabled": true,
      "updateEvent": "PY(ON_UPDATE_TEAM_RATING)",
      "x": 1450,
      "y": 2,
      "shadow": { "distance": 1, "angle": 90, "alpha": 70, "blur": 5, "strength": 1.5 },
      "textFormat": { "font": "$TitleFont", "size": 15 },
      "format": "<b>Team WN8:  {{py:TeamRatingRatio}}  |  Win Chance:  {{py:alliesAliveRatingRatio}}</b>"
    },
	// Gun Constraints
	"angleAimingLeft": {
      "enabled": true,
      "updateEvent": "PY (ON_ANGLES_AIMING), PY (ON_AIM_MODE).",
      "x": "{{py:anglesAiming.left}}",
      "y": "{{py:aim.y}}",
      "width": 32,
      "height": 32,
      "screenHAlign": "center",
      "screenVAlign": "center",
      "format": "{{py:anglesAiming.left>-5?<img src='cfg://grandpa/images/angles/Left_limit.png'>|<img src='cfg://grandpa/images/angles/Left.png'>}}"
    }, 
    
    "angleAimingRight": {
      "enabled": true,
      "updateEvent": "PY (ON_ANGLES_AIMING), PY (ON_AIM_MODE).",
      "x": "{{py:anglesAiming.right}}",
      "y": "{{py:aim.y}}",
      "width": 32,
      "height": 32,
      "screenHAlign": "center",
      "screenVAlign": "center",
      "format": "{{py:anglesAiming.right<5?<img src='cfg://grandpa/images/angles/Right_limit.png'>|<img src='cfg://grandpa/images/angles/Right.png'>}}"
    },
     
    "angleAimingBottom": {
      "enabled": false,
      "updateEvent": "PY (ON_ANGLES_AIMING)",
      "x": 0,
      "y": "{{py:anglesAiming.bottom (12)}",
      "width": 33,
      "height": 20,
      "alpha" : "{{py:anglesAiming.bottom(12)<350?{{py:math.sub(350, {{py:anglesAiming.bottom(12)}})}}|0}}",
      "screenHAlign": "center",
      "screenVAlign": "center",
      "format": "<img src='cfg://grandpa/images/angles/Bottom.png'>"
    },
     
    "angleAimingTop": {
      "enabled": false,
      "updateEvent": "PY (ON_ANGLES_AIMING)",
      "x": 0,
      "y": "{{py:anglesAiming.top (-12)}}.",
      "width": 33,
      "height": 20,
      "alpha" : "{{py:anglesAiming.top(-12)>-350?{{py:math.sum({{py:anglesAiming.top(-12)}}, 350)}}|0}}",
      "screenHAlign": "center",
      "screenVAlign": "center",
      "format": "<img src='cfg://grandpa/images/angles/Top.png'>"
    }, 
    // Total hp indicator.
    "totalHP": {
      "enabled": false
     },
    // Avg damage on current vehicle.
    "avgDamage": {
      "enabled": false
    },
    // Threshold necessary for achievements "High caliber".
    "mainGun": {
      "enabled": false
    },
    
    // Log of the received damage (see damageLog.xc).
    "damageLog": {
      "enabled": true,
      "updateEvent": "PY(ON_HIT)",
      "x": "{{py:xvm.damageLog.log.x}}",
      "y": "{{py:xvm.damageLog.log.y}}",
      "width": 400,
      "height": 210,
	  "line" : {
			"number" : 10, // ?????????? ???????????? ????? ? ????.
			"indents" : [0,15,26,33,36,36,33,27,16,1], // ??????? ????? ???? ?? ??????????? (?????? ???????? ????? ???????).
			"spacing" : 0 // ???????? ????? ????? ???? ?? ?????????.
		},
      "layer": "bottom",
      "screenVAlign": "bottom",
      "shadow": {
        "distance": "{{py:xvm.damageLog.log.shadow('distance')}}",
        "angle": "{{py:xvm.damageLog.log.shadow('angle')}}",
        "color": "{{py:xvm.damageLog.log.shadow('color')}}",
        "alpha": "{{py:xvm.damageLog.log.shadow('alpha')}}",
        "blur": "{{py:xvm.damageLog.log.shadow('blur')}}",
        "strength": "{{py:xvm.damageLog.log.shadow('strength')}}",
        "hideObject": "{{py:xvm.damageLog.log.shadow('hideObject')}}",
        "inner": "{{py:xvm.damageLog.log.shadow('inner')}}",
        "knockout": "{{py:xvm.damageLog.log.shadow('knockout')}}",
        "quality": "{{py:xvm.damageLog.log.shadow('quality')}}"
      },
      "textFormat": { "color": "0xF4EFE8", "size": 16 },
      "format": "{{py:xvm.damageLog.log}}",
      "mouseEvents": {
        "mouseDown": "damageLog_mouseDown",
        "mouseUp": "damageLog_mouseUp",
        "mouseMove": "damageLog_mouseMove",
        "mouseWheel": "damageLog_mouseWheel"
      }
    },
    // Background of the log of the received damage (see damageLog.xc).
    "damageLogBackground": {
      "enabled": false,
      "$ref": { "path":"damageLog" },
      "format": "{{py:xvm.damageLog.log.bg}}"
    },
    // Display the last damage (hit) (see damageLog.xc).
    "lastHit": {
      "enabled": true,
      "updateEvent": "PY(ON_LAST_HIT)",
      "x": "{{py:xvm.damageLog.lastHit.x}}",
      "y": "{{py:xvm.damageLog.lastHit.y}}",
      "width": 450,
      "height": 100,
      "layer": "bottom",
      "screenHAlign": "center",
      "screenVAlign": "center",
      "shadow": {
        "distance": "{{py:xvm.damageLog.lastHit.shadow('distance')}}",
        "angle": "{{py:xvm.damageLog.lastHit.shadow('angle')}}",
        "color": "{{py:xvm.damageLog.lastHit.shadow('color')}}",
        "alpha": "{{py:xvm.damageLog.lastHit.shadow('alpha')}}",
        "blur": "{{py:xvm.damageLog.lastHit.shadow('blur')}}",
        "strength": "{{py:xvm.damageLog.lastHit.shadow('strength')}}",
        "hideObject": "{{py:xvm.damageLog.lastHit.shadow('hideObject')}}",
        "inner": "{{py:xvm.damageLog.lastHit.shadow('inner')}}",
        "knockout": "{{py:xvm.damageLog.lastHit.shadow('knockout')}}",
        "quality": "{{py:xvm.damageLog.lastHit.shadow('quality')}}"
      },      
      "textFormat": {"align": "center", "color": "0xF4EFE8", "size": 16 },
      "format": "{{py:xvm.damageLog.lastHit}}",
      "mouseEvents": {
        "mouseDown": "lastHit_mouseDown",
        "mouseUp": "lastHit_mouseUp",
        "mouseMove": "lastHit_mouseMove"
      }
    },
    
    "fire": {
      "enabled": true,
      "updateEvent": "PY(ON_FIRE)",
      "x": 120,
      "y": 200,
      "width": 200,
      "height": 100,
      "alpha": "{{py:xvm.damageLog.fire}}",
      "layer": "bottom",
      "screenHAlign": "center",
      "screenVAlign": "center",
      "shadow": { "distance": 1, "angle": 90, "alpha": 80, "blur": 5, "strength": 3 },
      "textFormat": {
                "align": "center",
                "color": "0xB22222",
                "size": 34
            },
      "format": "--[ F I R E ]--"
    },
    
   "battleEfficiency": {
    "enabled":true,
    "updateEvent": "PY(ON_BATTLE_EFFICIENCY)",
    "x": 250,
    "y": 3,
    "width": 215,
    "height": 25,
    "align": "center",
    "screenHAlign": "left",
    "screenVAlign": "top",
    "textFormat": { "font": "$TitleFont", "size": 15 },
    "shadow": { "distance": 1, "angle": 90, "color": "0x000000", "alpha": 90, "blur": 3, "strength": 2 },
    "format": "WN8: <font color='{{py:efficiency.wn8Color}}'>{{py:efficiency.wn8}}</font>  EFF: <font color='{{py:efficiency.effColor}}'>{{py:efficiency.eff}}</font>"
  },
  	
	"boostersTime": {
      "enabled": false,
      "layer": "bottom",
      "type": "extrafield",
      "updateEvent": "ON_EVERY_SECOND",
      "x": "{{{{py:sub({{py:xvm.screenWidth}},225)}}}}",
      "y": 15,
      "width": 500,
      "height": 200,
      "textFormat": {"align": "left", "bold": "true", "color": "0x{{py:bst.leftTimeMin(0)<16?F5A00F|A3F5FE}}", "size": 14},
      "shadow": {"enabled": true, "distance": 0, "angle": 0, "color": "0x000000", "alpha": 70, "blur": 4, "strength": 2},
      "format": "<textformat tabstops='[100,155]' leading='-17'><img src='{{py:bst.countBoosters>0?img://gui/maps/icons/boosters/activeBoosterIcon.png|}}' width='42' height='42' vspace='-8'><img src='img://gui/maps/icons/boosters/{{py:bst.type(1)}}{{py:bst.leftTimeMin(1)<16?_big|_tt_big}}.png' width='42' height='42' vspace='-6'>\t<img src='img://gui/maps/icons/boosters/{{py:bst.type(2)}}{{py:bst.leftTimeMin(2)<16?_big|_tt_big}}.png' width='42' height='42' vspace='-6'>\t<img src='img://gui/maps/icons/boosters/{{py:bst.type(3)}}{{py:bst.leftTimeMin(3)<16?_big|_tt_big}}.png' width='42' height='42' vspace='-6'></textformat>\n<textformat tabstops='[65,120,175]' leading='-6'>\t<font color='{{py:bst.leftTimeMin(1)<16?#F5A00F|#A3F5FE}}'>{{py:bst.leftTimeHrMin(1)}}</font>\t<font color='{{py:bst.leftTimeMin(2)<16?#F5A00F|#A3F5FE}}'>{{py:bst.leftTimeHrMin(2)}}</font>\t<font color='{{py:bst.leftTimeMin(3)<16?#F5A00F|#A3F5FE}}'>{{py:bst.leftTimeHrMin(3)}}</font></textformat>"
    }
}