﻿{
	"templates": {
		"clanIcon": {
			"enabled": true,
			"x": "{{ally?5|3}}", "y": 6, "width": 16, "height": 16, "align": "center", "alpha": 90, "bindToIcon": true,
			"src": "{{clanicon}}"
		},
		"badgeIcon": {
			"enabled": true,
			"x": -368,
			"y": 0,
			"width": 24,
			"height": 24,
			"align": "center",
			"alpha": "{{alive?100|40}}",
			"bindToIcon": true,
			"format": "<img src='img://gui/maps/icons/library/badges/24x24/badge_{{rankBadgeId}}.png' width='22' height='22'>"
    }
  },
  // Parameters of the Battle Loading screen.
  // ????????? ?????? ???????? ???.
  "battleLoading": {
    "clockFormat": "H:i:s",
    "removeSquadIcon": false,
	"removeRankBadgeIcon": true,
	"vehicleIconAlpha": 100,
	"showBattleTier": false,
	"darkenNotReadyIcon": true,
	"removeVehicleLevel": true,
    "removeVehicleTypeIcon": false,	
	"nameFieldShowBorder": false,
    "vehicleFieldShowBorder": false,
	"squadIconOffsetXLeft": -13,
    "squadIconOffsetXRight": -16,
    "nameFieldOffsetXLeft": -11,
    "nameFieldWidthDeltaLeft": 0,
    "nameFieldOffsetXRight": -14,
    "nameFieldWidthDeltaRight": 0,
    "vehicleFieldOffsetXLeft": 0,
    "vehicleFieldWidthDeltaLeft": 0,
    "vehicleFieldOffsetXRight": 0,
    "vehicleFieldWidthDeltaRight": 0,
    "vehicleIconOffsetXLeft": 0,
    "vehicleIconOffsetXRight": 0,	
    "formatLeftNick": "<img src='xvm://res/icons/xvm/xvm-user-{{xvm-user|none}}.png'> <font color='{{c:wn8}}' size='13'>{{name%.12s~..}}</font> {{clan}}",
    "formatRightNick": "<font color='{{c:wn8}}' size='13'>{{name%.12s~..}}</font> {{clan}} <img src='xvm://res/icons/xvm/xvm-user-{{xvm-user|none}}.png'>",
    "formatLeftVehicle": "<font color='{{c:xte}}' size='13'>{{vehicle}}</font>  <font face='Liberation Mono' size='{{xvm-stat?13|0}}' color='#FFFFFF'><font color='{{c:kb}}'>{{kb%2d~k|--k}}</font> <font color='{{c:r}}'>{{r_size=2?{{r%2d|--}}|{{r_size=4?{{r%4d|----}}|{{r_size=5?{{r>10000?XXXX|{{r%4d|----}}}}}}}}}}</font> <font color='{{c:winrate}}'>{{winrate%2d~%|--%}}</font></font>",
    "formatRightVehicle": "<font face='Liberation Mono' size='{{xvm-stat?13|0}}' color='#FFFFFF'><font color='{{c:kb}}'>{{kb%2d~k|--k}}</font><font color='{{c:r}}'> {{r_size=2?{{r%2d|--}}|{{r_size=4?{{r%4d|----}}|{{r_size=5?{{r>10000?XXXX|{{r%4d|----}}}}}}}}}}</font><font color='{{c:winrate}}'> {{winrate%2d~%|--%}} </font></font><font color='{{c:xte}}' size='13'>{{vehicle}}</font>",
	"extraFieldsLeft": [
      ${"templates.clanIcon"},
	  ${"templates.badgeIcon"}
    ],
    "extraFieldsRight": [
      ${"templates.clanIcon"},
	  ${"templates.badgeIcon"}
    ]
  }
}
