﻿/**
 * Parameters of the Battle Statistics form.
 * ????????? ???? ?????????? ?? ??????? Tab.
 */
{
  "templates": {
    // Clan icon definition.
    // ?????? ?????? ?????.
    "clanIcon": {
      "enabled": false,
      "x": 65, "y": 6, "width": 16, "height": 16, "align": "center", "alpha": 90, "bindToIcon": true,
      "src": "{{clanicon}}"
    },
    // Rank badge definition.
    // ?????? ?????? ??????.
    "rankBadgeIcon": {
      "enabled": false,
      "x": -28, "y": 0, "width": 24, "height": 24, "alpha": "{{alive?100|50}}",
      "src": "img://gui/maps/icons/library/badges/24x24/badge_{{rankBadgeId}}.png"
    },
    "bpStage": {
      "enabled": false,
      "x": -28, "y": 0, "width": 24, "height": 24, "alpha": "{{alive?100|50}}",
      "textFormat": { "color": "0xD4CD79", "size": 11, "align": "center" },
      "format": "{{rankBadgeId=90?{{bp-stage}}}}"
    }
  },
  "statisticForm": {
    // true - disable Platoon/rank icons.
    // true - ?????? ??????????? ?????? ??????/?????.
    "removeSquadIcon": false,
    // true - disable rank badge icons
    // true - ?????? ??????????? ?????? ?????? ?????
    "removeRankBadgeIcon": true,
    // true - disable alpha/beta grandpaers icons.
    // true - ?????? ??????????? ?????? ?????/???? ????????.
    "removegrandpaerIcon": false,
    // Opacity percentage of vehicle icon. 0 - transparent ... 100 - opaque.
    // ???????????? ? ????????? ?????? ?????. 0 - ??????????, 100 - ?? ??????????.
    "vehicleIconAlpha": 100,
    // true - disable vehicle level indicator.
    // true - ?????? ??????????? ?????? ?????.
    "removeVehicleLevel": false,
    // true - disable vehicle type icon. This space will be used for formatted vehicle field.
    // true - ?????? ??????????? ???? ?????. ?????? ????? ????? ???????????? ??? ????????????? ????.
    "removeVehicleTypeIcon": false,
    // true - disable player status icon.
    // true - ?????? ??????????? ?????? ??????? ??????.
    "removePlayerStatusIcon": false,
    // Show border for name field (useful for config tuning)
    // ?????????? ????? ??? ???? ????? ?????? (??????? ??? ????????? ???????)
    "nameFieldShowBorder": false,
    // Show border for vehicle field (useful for config tuning)
    // ?????????? ????? ??? ???? ????? ????? (??????? ??? ????????? ???????)
    "vehicleFieldShowBorder": false,
    // Show border for frags field (useful for config tuning)
    // ?????????? ????? ??? ???? ?????? (??????? ??? ????????? ???????)
    "fragsFieldShowBorder": false,
    // X offset for allies squad icons
    // ???????? ?? ??? X ?????? ?????? ?????????
    "squadIconOffsetXLeft": 0,
    // X offset for enemies squad icons
    // ???????? ?? ??? X ?????? ?????? ???????????
    "squadIconOffsetXRight": 0,
    // X offset for allies player names field
    // ???????? ?? ??? X ???? ???? ?????????
    //"nameFieldOffsetXLeft": -11,
    "nameFieldOffsetXLeft": -7,
    // X offset for enemies player names field
    // ???????? ?? ??? X ???? ???? ???????????
    //"nameFieldOffsetXRight": -10,
    "nameFieldOffsetXRight": -8,
    // Width of allies player names field
    // ?????? ???? ???? ?????????
    //"nameFieldWidthLeft": 200,
    "nameFieldWidthLeft": 180,
    // Width of enemies names field
    // ?????? ???? ???? ???????????
    //"nameFieldWidthRight": 200,
    "nameFieldWidthRight": 180,
    // X offset for "formatLeftVehicle" field
    // ???????? ?? ??? X ???? ???????? ????? ?????????
    "vehicleFieldOffsetXLeft": 24,
    // X offset for "formatRightVehicle" field
    // ???????? ?? ??? X ???? ???????? ????? ???????????
    "vehicleFieldOffsetXRight": 5,
    // Width of "formatLeftVehicle" field
    // ?????? ???? ???????? ????? ?????????
    "vehicleFieldWidthLeft": 250,
    // Width of "formatRightVehicle" field
    // ?????? ???? ???????? ????? ???????????
    "vehicleFieldWidthRight": 250,
    // X offset for allies vehicle icons
    // ???????? ?? ??? X ?????? ????? ?????????
    //"vehicleIconOffsetXLeft": 0,
    "vehicleIconOffsetXLeft": 18,
    // X offset for enemies vehicle icons
    // ???????? ?? ??? X ?????? ????? ???????????
    //"vehicleIconOffsetXRight": 0,
    "vehicleIconOffsetXRight": 18,
    // X offset for allies frags
    // ???????? ?? ??? X ?????? ?????????
    //"fragsFieldOffsetXLeft": 0,
    "fragsFieldOffsetXLeft": 5,
    // X offset for enemies frags
    // ???????? ?? ??? X ?????? ???????????
    //"fragsFieldOffsetXRight": 0,
    "fragsFieldOffsetXRight": 5,
    // Width of frags field for allies
    // ?????? ???? ?????? ?????????
    "fragsFieldWidthLeft": 40,
    // Width of frags field for enemies
    // ?????? ???? ?????? ???????????
    "fragsFieldWidthRight": 40,
    // Display format for the left panel (macros allowed, see macros.txt).
    // ?????? ??????????? ??? ????? ?????? (??????????? ????????????????, ??. macros.txt).
    //"formatLeftNick": "<img src='xvm://res/icons/flags/{{flag|default}}.png' width='16' height='13'> <img src='xvm://res/icons/xvm/xvm-user-{{xvm-user|none}}.png'> {{name%.15s~..}} <font alpha='#A0'>{{clan}}</font>",
    //"formatLeftNick": "{{name%.16s~..}}",
    "formatLeftNick": "{{name%.{{anonym?13|15}}s~..}}{{anonym? <font face='xvm' size='13'><b>&#x11E;</b></font>}}",
    // Display format for the right panel (macros allowed, see macros.txt).
    // ?????? ??????????? ??? ?????? ?????? (??????????? ????????????????, ??. macros.txt).
    //"formatRightNick": "<font alpha='#A0'>{{clan}}</font> {{name%.15s~..}} <img src='xvm://res/icons/xvm/xvm-user-{{xvm-user|none}}.png'> <img src='xvm://res/icons/flags/{{flag|default}}.png' width='16' height='13'>",
    "formatRightNick": "{{name%.16s~..}}",
    // Display format for the left panel (macros allowed, see macros.txt).
    // ?????? ??????????? ??? ????? ?????? (??????????? ????????????????, ??. macros.txt).
    "formatLeftVehicle": "{{vehicle}}<font face='mono' size='{{xvm-stat?13|0}}'> <font color='{{c:kb}}'>{{kb%2d~k|--k}}</font> <font color='{{c:xr}}'>{{r}}</font> <font color='{{c:winrate}}'>{{winrate%2d~%|--%}}</font></font>",
    // Display format for the right panel (macros allowed, see macros.txt).
    // ?????? ??????????? ??? ?????? ?????? (??????????? ????????????????, ??. macros.txt).
    "formatRightVehicle": "<font face='mono' size='{{xvm-stat?13|0}}'><font color='{{c:winrate}}'>{{winrate%2d~%|--%}}</font> <font color='{{c:xr}}'>{{r}}</font> <font color='{{c:kb}}'>{{kb%2d~k|--k}}</font> </font>{{vehicle}}",
    // Display format for the left panel (macros allowed, see macros.txt).
    // ?????? ??????????? ??? ????? ?????? (??????????? ????????????????, ??. macros.txt).
    // Display format for the right panel (macros allowed, see macros.txt).
    // ?????? ??????????? ??? ?????? ?????? (??????????? ????????????????, ??. macros_ru.txt).
    "formatRightFrags": "{{frags}}",
    // Extra fields. Fields are placed one above the other.
    // ?????????????? ????. ???? ????????????? ???? ??? ??????.
    // Set of formats for left panel (extended format supported, see extra-field.txt).
    // ????? ???????? ??? ????? ?????? (?????????????? ??????????? ??????, ??. extra-field_ru.txt).
    "extraFieldsLeft": [
      ${"templates.clanIcon"},
      ${"templates.rankBadgeIcon"},
      ${"templates.bpStage"}
    ],
    // Set of formats for right panel (extended format supported, see extra-field.txt).
    // ????? ???????? ??? ?????? ?????? (?????????????? ??????????? ??????, ??. extra-field_ru.txt).
    "extraFieldsRight": [
      ${"templates.clanIcon"},
      ${"templates.rankBadgeIcon"},
      ${"templates.bpStage"}
    ]
  }
}
