﻿/**
 * Tooltips of vehicles in hangar.
 * ??????????? ????????? ?????? ? ??????.
 */
{
  "tooltips": {
    // true - combine icons of equipment and optional devices into one row.
    // true - ?????????? ?????? ???????????? ? ???.??????? ? ???? ??????.
    "combineIcons": true,
    // true - hide simplified vehicle parameters.
    // true - ???????? ?????????? ???.
    "hideSimplifiedVehParams": true,
    // true - hide block "Weekly earning limit".
    // true - ???????? ???? "????????? ???".
    "hideCrystalBlock": false,
    // true - hide text at bottom of tooltip showing quantity of used equipment, optional devices and crew.
    // true - ???????? ????? ????? ????????? ???????????? ?????????? ????????????? ????????????, ???. ??????? ? ??????.
    "hideBottomText": true,
    // true - display of missing experience to unlock vehicles (in tech tree).
    // true - ?????????? ??????????? ???? ??? ???????????? ??????? (? ?????? ????????????).
    "showXpToUnlockVeh": true,
    // Delay in tooltips appearance: increase in case of freezes, default is 0.4 sec.
    // ???????? ??????????? ?????????: ????????? ? ?????? ??????, ??-????????? 0.4 ???.
    "tooltipsDelay": 0.6,
    // Size of the font in vehicle tooltips.
    // ?????? ?????? ?? ??????????? ?????????? ? ??????.
    "fontSize": 13,
    // Name of the font in vehicle tooltips.
    // ???????? ?????? ?? ??????????? ?????????? ? ??????.
    "fontName": "$TextFont",
    // Color for premium shells etc. in vehicle tooltips.
    // ???? ?????????? ???????? ? ?.?. ?? ??????????? ?????????? ? ??????.
    "goldColor": "#F7D600",
    // Substitutions for light tanks.
    // ??????????? ??? ?????? ??????.
    "lightTank": [
      "battleTiers",
      "circularVisionRadius",
      "invisibilityStillFactor",
      "invisibilityMovingFactor",
    "TEXT:<font size='14' color='#00FF33'><b>{{l10n:armor}}</b></font>",
      "maxHealth",
      "turretArmor",
      "hullArmor",
    "TEXT:<font size='14' color='#D01B0E'><b>{{l10n:firepower}}</b></font>",
      "shootingRadius",
      "damageAvgSummary",
      "piercingPowerAvgSummary",
      "avgDamagePerMinute",
      "reloadTimeSecs",
      "rateOfFire",
      "aimingTime",
      "shotDispersionAngle",
      "shellSpeedSummary",
    "TEXT:<font size='14' color='#E1C610'><b>{{l10n:mobility}}</b></font>",
      "pitchLimits",
      "pitchLimitsSide",
      "pitchLimitsRear",
      "traverseLimits",
      "turretRotationSpeed",
      "chassisRotationSpeed",
      "enginePowerPerTon",
      "speedLimits",
      "chassisRepairTime",
      "terrainResistance",
    "TEXT:<font size='14' color='#E1C610'>---------------------------------</font>",
      "crewRolesIcons",
      "equipmentIcons",
      "optDevicesIcons"
    ],
    // Substitutions for medium tanks.
    // ??????????? ??? ??????? ??????.
    "mediumTank": [
      "battleTiers",
      "circularVisionRadius",
      "invisibilityStillFactor",
      "invisibilityMovingFactor",
    "TEXT:<font size='14' color='#00FF33'><b>{{l10n:armor}}</b></font>",
      "maxHealth",
      "turretArmor",
      "hullArmor",
    "TEXT:<font size='14' color='#D01B0E'><b>{{l10n:firepower}}</b></font>",
      "shootingRadius",
      "damageAvgSummary",
      "piercingPowerAvgSummary",
      "avgDamagePerMinute",
      "reloadTimeSecs",
      "rateOfFire",
      "aimingTime",
      "shotDispersionAngle",
      "shellSpeedSummary",
    "TEXT:<font size='14' color='#E1C610'><b>{{l10n:mobility}}</b></font>",
      "pitchLimits",
      "pitchLimitsSide",
      "pitchLimitsRear",
      "traverseLimits",
      "turretRotationSpeed",
      "chassisRotationSpeed",
      "enginePowerPerTon",
      "speedLimits",
      "chassisRepairTime",
      "terrainResistance",
    "TEXT:<font size='14' color='#E1C610'>---------------------------------</font>",
      "crewRolesIcons",
      "equipmentIcons",
      "optDevicesIcons"
    ],
    // Substitutions for heavy tanks.
    // ??????????? ??? ??????? ??????.
    "heavyTank": [
      "battleTiers",
      "circularVisionRadius",
      "invisibilityStillFactor",
      "invisibilityMovingFactor",
    "TEXT:<font size='14' color='#00FF33'><b>{{l10n:armor}}</b></font>",
      "maxHealth",
      "turretArmor",
      "hullArmor",
    "TEXT:<font size='14' color='#D01B0E'><b>{{l10n:firepower}}</b></font>",
      "damageAvgSummary",
      "piercingPowerAvgSummary",
      "avgDamagePerMinute",
      "reloadTimeSecs",
      "rateOfFire",
      "aimingTime",
      "shotDispersionAngle",
      "shellSpeedSummary",
    "TEXT:<font size='14' color='#E1C610'><b>{{l10n:mobility}}</b></font>",
      "pitchLimits",
      "pitchLimitsSide",
      "pitchLimitsRear",
      "turretRotationSpeed",
      "chassisRotationSpeed",
      "enginePowerPerTon",
      "speedLimits",
      "chassisRepairTime",
      "terrainResistance",
    "TEXT:<font size='14' color='#E1C610'>---------------------------------</font>",
      "crewRolesIcons",
      "equipmentIcons",
      "optDevicesIcons"
    ],
    // Substitutions for tank destroyers.
    // ??????????? ??? ??-???.
    "TD": [
      "battleTiers",
      "circularVisionRadius",
      "invisibilityStillFactor",
      "invisibilityMovingFactor",
    "TEXT:<font size='14' color='#00FF33'><b>{{l10n:armor}}</b></font>",
      "maxHealth",
      "turretArmor",
      "hullArmor",
    "TEXT:<font size='14' color='#D01B0E'><b>{{l10n:firepower}}</b></font>",
      "damageAvgSummary",
      "piercingPowerAvgSummary",
      "avgDamagePerMinute",
      "reloadTimeSecs",
      "rateOfFire",
      "aimingTime",
      "shotDispersionAngle",
      "shellSpeedSummary",
    "TEXT:<font size='14' color='#E1C610'><b>{{l10n:mobility}}</b></font>",
      "pitchLimits",
      "pitchLimitsSide",
      "pitchLimitsRear",
      "traverseLimits",
      "turretRotationSpeed",
      "chassisRotationSpeed",
      "enginePowerPerTon",
      "speedLimits",
      "chassisRepairTime",
      "terrainResistance",
    "TEXT:<font size='14' color='#E1C610'>---------------------------------</font>",
      "crewRolesIcons",
      "equipmentIcons",
      "optDevicesIcons"
    ],
    // Substitutions for SPG.
    // ??????????? ??? ???.
    "SPG": [
      "battleTiers",
      "circularVisionRadius",
      "invisibilityStillFactor",
      "invisibilityMovingFactor",
    "TEXT:<font size='14' color='#00FF33'><b>{{l10n:armor}}</b></font>",
      "maxHealth",
      "turretArmor",
      "hullArmor",
    "TEXT:<font size='14' color='#D01B0E'><b>{{l10n:firepower}}</b></font>",
      "shootingRadius",
      "damageAvgSummary",
      "piercingPowerAvgSummary",
      "avgDamagePerMinute",
      "stunMinDuration",
      "stunMaxDuration",
      "reloadTimeSecs",
      "rateOfFire",
      "explosionRadius",
      "aimingTime",
      "shotDispersionAngle",
      "shellSpeedSummary",
      "gravity",
    "TEXT:<font size='14' color='#E1C610'><b>{{l10n:mobility}}</b></font>",
      "pitchLimits",
      "traverseLimits",
      "turretRotationSpeed",
      "chassisRotationSpeed",
      "enginePowerPerTon",
      "speedLimits",
      "chassisRepairTime",
      "terrainResistance",
    "TEXT:<font size='14' color='#E1C610'>---------------------------------</font>",
      "crewRolesIcons",
      "equipmentIcons",
      "optDevicesIcons"
    ],
    // List of tooltipId to hide.
    // Possible values can be found in this files: ingame_gui.mo, tooltips.mo (or INGAME_GUI.py, TOOLTIPS.py)
    // or enable "logLocalization" option and search them in the xvm.log file
    // ?????? tooltipId, ??????? ?????????? ????????.
    // ????????? ???????? ????? ????? ? ??????: ingame_gui.mo, tooltips.mo (??? INGAME_GUI.py, TOOLTIPS.py)
    // ??? ???????? ????? "logLocalization" ? ????? ?? ? ????? xvm.log
    "hideTooltips": [
      "#ingame_gui:dynamicSquad/ally/add",
      "#ingame_gui:dynamicSquad/ally/disabled",
      "#ingame_gui:dynamicSquad/ally/received",
      "#ingame_gui:dynamicSquad/ally/wasSent",
      "#ingame_gui:dynamicSquad/enemy/add",
      "#ingame_gui:dynamicSquad/enemy/disabled",
      "#ingame_gui:dynamicSquad/enemy/received",
      "#ingame_gui:dynamicSquad/enemy/wasSent",
      "#ingame_gui:dynamicSquad/invite",
      "#tooltips:header/info/players_online_full/body",
      "#tooltips:header/info/players_online_full/header",
      "#tooltips:header/info/players_online_region/body",
      "#tooltips:header/info/players_online_region/header",
      "#tooltips:header/info/players_unavailable/body",
      "#tooltips:header/info/players_unavailable/header"
    ],
    // Log all localization keys to the xvm.log file, can be helpful to search required tooltipId.
    // ?????????? ??? ????? ??????????? ? ???? xvm.log, ????? ???? ??????? ??? ?????? ??????????? tooltipId.
    "logLocalization": false
  }
}

/*
  List of possible values: (if the parameter is not relevant for some tank, it will be omitted)
  ?????? ????????? ????????: (???? ? ????? ?????? ???????? ??????????? ?? ?? ????? ????????????)

  "circularVisionRadius",                 - ????? \ Vision
  "piercingPower",                        - ???????? ??????? ???????? (?? ? ??) \ Penetration of basic shell (from - to)
  "piercingPowerAvg",                     - ???????? ??????? ???????? (???????) \ Penetration of basic shell (avg)
  "piercingPowerAvgSummary",              - ?????? ???????? ????? ????????? \ Summary of penetration of all shells
  "damage"                                - ???? ??????? ???????? (?? ? ??)\ Damage of basic shell (from - to)
  "avgDamage",                            - ??????? ???? ??????? ???????? \ Average damage of basic shell
  "stunMaxDuration",                      - ???????????? ????? ????????? (c) \ Maximum stun duration (s)
  "stunMinDuration",                      - ??????????? ????? ????????? (c) \ Minimum stun duration (s)
  "damageAvgSummary",                     - ?????? ????? ????? ????????? \ Summary of damages of all shells
  "avgDamagePerMinute",                   - ??????? ??? ??????? ????????\ Average DPM with basic shell
  "explosionRadius",                      - ?????? ??????? ???????? ?????? \ Radius of HE explosion splash
  "shotDispersionAngle",                  - ??????? ?? ?????????? \ Accuracy, shell dispersion over distance
  "aimingTime",                           - ????? ???????? \ Aiming time
  "reloadTimeSecs",                       - ????? ??????????? (??? ?????????? ?? ???????????) \ Reload time (for clip guns will be shown their specific)
  "enginePower",                          - ???????? ?????? \ Engine power
  "enginePowerPerTon",                    - ???????? ???????? ?????? (????????????? ??????) \ Engine power-to-weight ratio (characterises acceleration)
  "speedLimits",                          - ?????????? ???????? ?????? ? ????? \ Speed limit forward and backward
  "chassisRotationSpeed",                 - ???????? ???????? ????? \ Chassis rotation speed
  "turretArmor",                          - ?????? ????? ????? (???????, ?????, ?????) \ Summary of turret armor (frontal, side, back)
  "hullArmor",                            - ?????? ????? ??????? (???????, ?????, ?????) \ Summary of hull armor (frontal, side, back)
  "traverseLimits",                       - ??? \ Gun traverse limits
  "pitchLimits",                          - ??? \ Elevation arc limits
  "pitchLimitsSide",                      - ??? (?????) \ Elevation arc limits (side)
  "pitchLimitsRear",                      - ??? (?????) \ Elevation arc limits (rear)
  "shootingRadius",                       - ????????? ???????? ????, ????????? \ Shooting range of SPG, machine guns
  "turretRotationSpeed",                  - ???????? ???????? ????? (? ??????) \ Rotation speed of turret (and gun)
  "terrainResistance",                    - ?????? ????????????? ??????? \ Summary of terrain resistances
  "switchOnTime",                         - ????? ???????? ? ??????? ????? \ Siege mode activation time
  "switchOffTime",                        - ????? ???????? ? ???????? ????? \ Marching mode activation time
  "optDevicesIcons",                      - ?????? ??????????????? ???????????? (????? ???????? ? ?????) \ Icons of optional devices (will be shown at the end)
  "equipmentIcons",                       - ?????? ?????????? (????? ???????? ? ?????) \ Icons of equipment (will be shown at the end)
  "crewRolesIcons",                       - ?????? ????????? ??????? ????? (????? ???????? ? ?????) \ Icons of crew roles of vehicle (will be shown at the end)
  "gravity",                              - ?????????? \ Gravity
  "shellSpeedSummary",                    - ?????? ????????? ???????? \ Summary of shell speeds
  "radioRange",                           - ????????? ????? \ Range of radio signal
  "rateOfFire",                           - ???????????????? ?????? \ Rate of Fire
  "battleTiers",                          - ?????? ???? ????? \ Battle tiers of vehicle
  "maxHealth",                            - ?? ????? \ HP of vehicle
  "chassisRepairTime",                    - ????? ??????? ??????? \ Chassis repair time
  "invisibilityStillFactor"               - ???????????? ??????????? ?????? (%) \ Concealment of Stationary Vehicle (%)
  "invisibilityMovingFactor"              - ???????????? ?????? ? ???????? (%) \ Concealment of Moving Vehicle (%)
  "invisibilityFactorAtShot"              - ???????????? ?????? ????? ???????? \ Invisibility of vehicle after the shot
  "TEXT:customtext",                      - ?????????? ???????????? ????? (? ?????????? HTML ? ???????? {{l10n:text}}) \ Show custom text (with HTML support and macro {{l10n:text}})
*/