﻿/**
 * Options for dead with Alt markers.
 * ????????? ???????? ??? ?????? ? Alt.
 */
{
  // Definitions
  // ???????
  "def": {
    // Floating damage values.
    "damageTextAlly": {
      "enabled": true,
      "x": 0,
      "y": -67,
      "alpha": 100,
      "textFormat": { "bold": true, "align": "center", "color": "0xB6FF00", "font": "$FieldFont", "size": 14 },
      "shadow": {
        "enabled": true,
        "alpha": 90, 
		"angle": 90,
		"distance": 1,
        "color": "0x2D4C02",
        "blur": 3,
        "strength": 1.5
      },
      "speed": 3,
      "maxRange": 100,
      "damageMessage": "<img src='cfg://grandpa/images/markers/ally.png' vspace='-7' align='middle'><font size='22'>-{{dmg}}</font>\n<img src='cfg://grandpa/images/markers/{{vtype-key}}.png' vspace='-7' align='middle'><font color='{{c:vtype}}' size='16'>{{vehicle}}</font>",
      "blowupMessage": "<img src='cfg://grandpa/images/markers/ally.png' vspace='-7' align='middle'><font size='22'>-{{dmg}}</font>\n<img src='cfg://grandpa/images/markers/ammogreen.png' vspace='-7' align='middle'><font color='{{c:vtype}}' size='16'>{{vehicle}}</font>"
    },
    "damageTextEnemy": {
      "enabled": true,
      "x": 0,
      "y": -67,
      "alpha": 100,
      "textFormat": { "bold": true, "align": "center", "color": "0xFFFF00", "font": "$FieldFont", "size": 14 },
     "shadow": {
        "enabled": true,
		"alpha": 100, 
		"angle": 90,
		"distance": 1,
        "color": "0xC10000",
        "blur": 3,
        "strength": 2
      },
      "speed": 3,
      "maxRange": 100,
      "damageMessage": "<img src='cfg://grandpa/images/markers/enemy.png' vspace='-7' align='middle'><font size='22'>-{{dmg}}</font>\n<img src='cfg://grandpa/images/markers/{{vtype-l}}.png' vspace='-7' align='middle'><font color='{{c:vtype}}' size='16'>{{vehicle}}</font>",
      "blowupMessage": "<img src='cfg://grandpa/images/markers/ammored.png' vspace='-7' align='middle'><font size='22'>-{{dmg}}</font>\n<img src='cfg://grandpa/images/markers/{{vtype-l}}.png' vspace='-7' align='middle'><font color='{{c:vtype}}' size='16'>{{vehicle}}</font>"
    },
    // Text field with the name of the player.
    // ????????? ???? ? ?????? ??????.
    "playerName": {
      "name": "Player name",          // ???????? ?????????? ????, ?? ?? ??? ?? ??????
      "enabled": true,                // false - ?? ??????????
      "x": 0,                         // ????????? ?? ??? X
      "y": -34,                       // ????????? ?? ??? Y
      "alpha": 80,                    // ???????????? (??????????? ????????????? ???????????? ????????????, ??. macros.txt)
      // Font options.
      // ????????? ??????.
      "textFormat": {
        "font": "$FieldFont",         //   ????????
        "size": 13,                   //   ??????
        "color": null,                //   ???? (??????????? ????????????? ????????????? ?????, ??. macros.txt)
        "align": "center",            //   ???????????? ?????? (left, center, right)
        "bold": false,                //   ??????? (false) ??? ?????? (true)
        "italic": false               //   ??????? (false) ??? ?????? (true)
      },
      // Shadow options.
      // ????????? ????.
      "shadow": {
        // false - no shadow
        // false - ??? ????
        "enabled": true,
        "distance": 0,                //   ????????? ????????
        "angle": 45,                  //   ???? ????????
        "color": "0x000000",          //   ????
        "alpha": 100,                 //   ????????????
        "blur": 6,                    //   ????????
        "strength": 2                 //   ?????????????
      },
      "format": "{{nick}}"            //   ?????? ??????. ??. ???????? ???????? ? macros.txt
    },
    // Text field with the name of the tank.
    // ????????? ???? ? ????????? ?????.
    "tankName": {
      "name": "Tank name",            // ???????? ?????????? ????, ?? ?? ??? ?? ??????
      "enabled": true,                // false - ?? ??????????
      "x": 0,                         // ????????? ?? ??? X
      "y": -20,                       // ????????? ?? ??? Y
      "alpha": 80,                    // ???????????? (??????????? ????????????? ???????????? ????????????, ??. macros.txt)
      "textFormat": {                 // ????????? ??????
        "font": "$FieldFont",         //   ????????
        "size": 13,                   //   ??????
        "color": null,                //   ???? (??????????? ????????????? ????????????? ?????, ??. macros.txt)
        "align": "center",            //   ???????????? ?????? (left, center, right)
        "bold": false,                //   ??????? (false) ??? ?????? (true)
        "italic": false               //   ??????? (false) ??? ?????? (true)
      },
      "shadow": {                     // ????????? ????
        "enabled": true,              //   false - ??? ????
        "distance": 0,                //   ????????? ????????
        "angle": 45,                  //   ???? ????????
        "color": "0x000000",          //   ????
        "alpha": 100,                 //   ????????????
        "blur": 6,                    //   ????????
        "strength": 2                 //   ?????????????
      },
      "format": "{{vehicle}}"         // ?????? ??????. ??. ???????? ???????? ? macros.txt
    }
  },
  // ????????? ??? ?????????.
  "ally": {
    // Type of vehicle icon (HT/MT/LT/TD/Arty).
    // ?????? ???? ????? (??/??/??/??/????).
    "vehicleIcon": {
      // false - disable / ?? ??????????
      "enabled": true,
      // true - show speaker even if enabled=false
      // true - ?????????? ??????, ???? ???? enabled=false
      "showSpeaker": false,
      // Axis field coordinates
      // ????????? ???? ?? ????
      "x": 0,
      "y": -16,
      // Opacity.
      // ????????????.
      "alpha": 100,
      // Maximum scale (default is 100).
      // ???????????? ??????? (?? ????????? 100).
      "maxScale": 100,
      // Offset along the X axis (?)
      // ???????? ?? ??? X (?)
      "offsetX": 0,
      // Offset along the Y axis (?)
      // ???????? ?? ??? Y (?)
      "offsetY": 0
    },
    // ????????? ????????.
    "healthBar": {
      "enabled": false,                  //   false - ?? ??????????
      "x": -36,                         //   ????????? ?? ??? X
      "y": -34,                         //   ????????? ?? ??? Y
      "alpha": 100,                     //   ???????????? (??????????? ????????????? ???????????? ????????????, ??. macros.txt)
      "color": null,                    //   ???? ???????? (??????????? ????????????? ????????????? ?????, ??. macros.txt)
      "lcolor": null,                   //   ???? ?????????????? (??? ?????????)
      "width": 70,                      //   ?????? ?????? ????????
      "height": 4,                     //   ?????? ?????? ????????
      // ????????? ???????? ? ?????.
      "border": {
        "alpha": 45,                    //     ????????????
        "color": "0x000000",            //     ????
        "size": 1                       //     ?????? ?????
      },
      // ????????? ??????????? ????????.
      "fill": {
        "alpha": 50                     //     ????????????
      },
      // ????????? ???????? ??????????? ????????.
      "damage": {
        "alpha": 100,                   //     ????????????
        "color": null,           //     ????
        "fade": 1                       //     ????? ????????? ? ????????
      }
    },
    // Floating damage values for ally, player, squadman.
    // ??????????? ???? ??? ????????, ??????, ?????????.
    "damageText": {
      "$ref": { "path":"def.damageTextAlly" }
    },
    "damageTextPlayer": {
      "$ref": { "path":"def.damageTextAlly" }
    },
    "damageTextSquadman": {
      "$ref": { "path":"def.damageTextAlly" }
    },
    // Vehicle contour icon.
    // ????????? ?????? ?????.
    "contourIcon": {
      // false - disable / ?? ??????????.
      "enabled": false,
      // Axis field coordinates.
      // ????????? ???? ?? ????.
      "x": 0,
      "y": -47,
      // Opacity (dynamic transparency allowed, see macros.txt).
      // ???????????? (??????????? ????????????? ???????????? ????????????, ??. macros.txt).
      "alpha": 100,
      // Color (dynamic colors allowed, see macros.txt).
      // ???? (??????????? ????????????? ????????????? ?????, ??. macros.txt).
      "color": null,
      // Color intensity from 0 to 100. The default is 0 (off).
      // ????????????? ????? ?? 0 ?? 100. ?? ????????? 0, ?.?. ?????????.
      "amount": 0
    },
    // Vehicle tier.
    // ??????? ?????.
    "levelIcon": {
      "enabled": false,  // false - disable        / ?? ??????????.
      "x": 0,            // Position on the X axis / ????????? ?? ??? X.
      "y": -16,          // Position on the Y axis / ????????? ?? ??? Y.
      "alpha": 100       // Opacity                / ????????????.
    },
    // Markers "Help!" and "Attack!".
    // ??????? "????? ??????" ? "??????".
    "actionMarker": {
      "enabled": true,   // false - disable        / ?? ??????????.
      "x": 0,            // Position on the X axis / ????????? ?? ??? X.
      "y": -67,          // Position on the Y axis / ????????? ?? ??? Y.
      "alpha": 100       // Opacity                / ????????????.
    },
    // Block of text fields.
    // ???? ????????? ?????.
    "textFields": [
      ${ "def.tankName" },
      ${ "def.playerName" }
    ]
  },
  // ????????? ??? ???????????.
  "enemy": {
    // Type of vehicle icon (HT/MT/LT/TD/Arty).
    // ?????? ???? ????? (??/??/??/??/????).
    "vehicleIcon": {
      "enabled": true,
      "showSpeaker": false,
      "x": 0,
      "y": -16,
      "alpha": 100,
      "maxScale": 100,
      "offsetX": 0,
      "offsetY": 0
    },
    // ????????? ????????.
    "healthBar": {
      "enabled": false,
      "x": -41,
      "y": -33,
      "alpha": 100,
      "color": null,
      "lcolor": null,
      "width": 80,
      "height": 12,
      "border": {
        "alpha": 30,
        "color": "0x000000",
        "size": 1
      },
      "fill": {
        "alpha": 30
      },
      "damage": {
        "alpha": 80,
        "color": null,
        "fade": 1
      }
    },
    // Floating damage values for ally, player, squadman.
    // ??????????? ???? ??? ????????, ??????, ?????????.
    "damageText": {
      "$ref": { "path":"def.damageTextEnemy" }
    },
    "damageTextPlayer": {
      "$ref": { "path":"def.damageTextEnemy" }
    },
    "damageTextSquadman": {
      "$ref": { "path":"def.damageTextEnemy" }
    },
    // Vehicle contour icon.
    // ????????? ?????? ?????.
    "contourIcon": {
      "enabled": false,
      "x": 0,
      "y": -47,
      "alpha": 100,
      "color": null,
      "amount": 0
    },
    // Vehicle tier.
    // ??????? ?????.
    "levelIcon": {
      "enabled": false,
      "x": 0,
      "y": -16,
      "alpha": 100
    },
    // Markers "Help!" and "Attack!".
    // ??????? "????? ??????" ? "??????".
    "actionMarker": {
      "enabled": true,
      "x": 0,
      "y": -67,
      "alpha": 100
    },
    // Damage indicator (ricochet, critical hit, ...)
    // ????????? ????? (???????, ??????????? ????, ...)
    "damageIndicator": {
      "enabled": true,   // false - disable        / ?? ??????????.
      "showText": true,  // false - show only icon / ?????????? ?????? ??????.
      "x": 53,           // Position on the X axis / ????????? ?? ??? X.
      "y": -27,          // Position on the Y axis / ????????? ?? ??? Y.
      "alpha": 100       // Opacity                / ????????????.
    },
    // Block of text fields.
    // ???? ????????? ?????.
    "textFields": [
      ${ "def.tankName" },
      ${ "def.playerName" }
    ]
  }
}