﻿/**
 * Parameters for tank carousel
 * ????????? ???????? ??????
 */
{
  "carousel": {
    // false - Disable customizable carousel.
    // false - ????????? ????????????? ????????.
    "enabled": true,
    // Type of cells - "default" (depends from window size), "normal" or "small"
    // ??? ????? - "default" (? ??????????? ?? ??????? ????), "normal" (???????), "small" (?????????)
    "cellType": "default",
    // Normal cells settings
    // ????????? ????? ???????? ???????
    "normal": ${"kiss-carouselNormal.xc":"normal"},
    // Small cells settings
    // ????????? ????? ?????????? ???????
    "small": ${"kiss-carouselSmall.xc":"small"},
    // Number of rows at carousel. 0 - use client settings
    // ?????????? ????? ????????. 0 - ???????????? ????????? ???????
    "rows": 3,
    // Background transparency (default - 100)
    // ???????????? ???????? (?? ????????? - 100)
    "backgroundAlpha": 100,
    // Mouse wheel scrolling speed multiplier (default - 1)
    // ????????? ???????? ????????? ??????? ???? (?? ????????? - 1)
    "scrollingSpeed": 1,
    // true - hide cell "Buy vehicle".
    // true - ?????? ?????? "?????? ??????".
    "hideBuyTank": false,
    // true - hide cell "Buy slot".
    // true - ?????? ?????? "?????? ????".
    "hideBuySlot": false,
    // true - show total slots count in the "Buy vehicle" cell.
    // true - ?????????? ????? ?????????? ?????? ? ?????? "?????? ??????".
    "showTotalSlots": true,
    // true - show used slots count in the "Buy slot" cell.
    // true - ?????????? ?????????? ??????? ?????? ? ?????? "?????? ????".
    "showUsedSlots": true,
    // set to false to remove background for locked vehicles (default: true)
    // ????????? false, ????? ????????? ??? ??? ??????????????? ??????? (??-?????????: true)
    "enableLockBackground": true,
    // Visibility filters.
    // ????????? ????????.
    "filters": {
      // false - hide filter.
      // false - ?????? ??????.
      "params":   { "enabled": true },  // main params        / ???????? ?????????
      "bonus":    { "enabled": true },  // x2 bonus           / x2 ?????
      "favorite": { "enabled": true }   // favorite tanks     / ???????? ?????
    },
    // Spacing between filters cells.
    // ?????? ????? ???????? ????????.
    "filtersPadding": {
      "horizontal": 11,   // ?? ???????????
      "vertical": 13      // ?? ?????????
    },
    // Order of nations.
    // ??????? ?????.
    //"nations_order": ["ussr", "germany", "usa", "china", "france", "uk", "japan", "czech", "sweden"],
    "nations_order": ["usa", "germany", "ussr", "france", "uk", "china", "czech", "japan", "sweden"],
    // Order of types of vehicles.
    // ??????? ??????? ???????.
    "types_order":   ["lightTank", "mediumTank", "heavyTank", "AT-SPG", "SPG"],
    // Tank sorting criteria, available options: (minus = reverse order)
    // ???????? ?????????? ??????, ????????? ????????: (????? = ? ???????? ???????)
    // "nation", "type", "level", "-level", "maxBattleTier", "-maxBattleTier", "premium", "-premium",
    // "winRate", "-winRate", "markOfMastery", "-markOfMastery", "xtdb", "-xtdb", "xte", "-xte",
    // "damageRating", "-damageRating", "marksOnGun", "-marksOnGun"
    "sorting_criteria": ["nation", "type", "level"],
    // Suppress the tooltips for tanks in carousel
    // ?????? ????????? ? ?????? ? ????????
    "suppressCarouselTooltips": false
  }
}
