﻿{
  "damageLog": { 
   "enabled": true,
    "disabledDetailStats": true,
    "disabledSummaryStats": true,
    "log": {
	  "moveInBattle": false,
        "x": 240,
        "y": -23,
      "groupDamagesFromFire": true,
      "groupDamagesFromRamming_WorldCollision": true,
      "groupDamageFromArtAndAirstrike": true,		
      "dmg-kind": {
        "shot": "{{splash-hit}}",
        "fire": "{{dmg}}<tab><img src='cfg://grandpa/images/damage/burn.png' width='16' height='16'><font color='{{c:dmg-kind}}'>  FIRE</font><tab>", 
        "ramming": "{{dmg}}<tab><img src='cfg://grandpa/images/damage/ram.png' width='16' height='16'><font color='{{c:dmg-kind}}'>  RAM</font><tab>",
        "world_collision": "{{dmg}}<tab><img src='cfg://grandpa/images/damage/crash.png' width='16' height='16'><font color='{{c:dmg-kind}}'> WRECK</font><tab>",
        "death_zone": "{{dmg}}<tab><img src='cfg://grandpa/images/damage/tomb.png' width='18' height='15'><font color='{{c:dmg-kind}}'> D-ZONE</font><tab>",
        "drowning": "{{dmg}}<tab><img src='cfg://grandpa/images/damage/drown.png' width='18' height='15'><font color='{{c:dmg-kind}}'> DROWN</font><tab>",
        "gas_attack": "{{dmg}}<tab><img src='cfg://grandpa/images/damage/gas.png' width='16' height='16'><font color='{{c:dmg-kind}}'> GAS</font><tab>",
        "overturn": "{{dmg}}<tab><img src='cfg://grandpa/images/damage/crash.png' width='16' height='16'><font color='{{c:dmg-kind}}'> CRASH</font><tab>",
        "art_attack": "{{dmg}}<tab><img src='cfg://grandpa/images/damage/arty.png' width='16' height='16'><font color='{{c:dmg-kind}}'>  ARTY</font><tab>",
        "air_strike": "{{dmg}}<tab><img src='cfg://grandpa/images/damage/bomb.png' width='16' height='16'><font color='{{c:dmg-kind}}'>  AIR</font><tab>"
      },
      "c:dmg-kind": { 
        "shot": "{{c:hit-effects}}",
        "fire": "#FF0000", 
        "ramming":  "#FF8D48",
        "world_collision": "#FBE54A",
        "death_zone": "#CC66CC",
        "art_attack": "#E585CF",     
        "air_strike": "#658FBA" 
      }, 
      "splash-hit":{
        "splash": "{{dmg}}<tab><img src='cfg://grandpa/images/damage/splash.png' width='16' height='16'><tab>{{type-shell}}",   
        "no-splash": "{{critical-hit}}"                            
      },
       "type-shell": {
        "armor_piercing": "{{costShell}} <font color='{{c:type-shell}}'>{{l10n:armor_piercing}}</font>",
        "high_explosive": "{{costShell}} <font color='{{c:type-shell}}'>{{l10n:high_explosive}}</font>",
		"high_explosive_stun": "{{costShell}} <font color='{{c:type-shell}}'>{{l10n:high_explosive}}</font>", 
        "armor_piercing_cr": "{{costShell}} <font color='{{c:type-shell}}'>{{l10n:armor_piercing_cr}}</font>",
        "armor_piercing_he": "{{costShell}} <font color='{{c:type-shell}}'>{{l10n:armor_piercing_he}}</font>",
        "hollow_charge": "{{costShell}} <font color='{{c:type-shell}}'>{{l10n:hollow_charge}}</font>",
		"not_shell": "OTHER"
      },
      "c:type-shell": {
        "armor_piercing": "#D6D6D6",     
        "high_explosive": "#FF0000",
		"high_explosive_stun": "#FF0000",
        "armor_piercing_cr": "#658FBA",   
        "armor_piercing_he": "#FE10A3",    
        "hollow_charge": "#F83676"        
      },
      "vtype": {
        "mediumTank": "<img src='cfg://grandpa/images/damage/MT.png' width='16' height='16'>",
        "lightTank": "<img src='cfg://grandpa/images/damage/LT.png' width='16' height='16'>",
        "heavyTank": "<img src='cfg://grandpa/images/damage/HT.png' width='16' height='16'>",
        "AT-SPG": "<img src='cfg://grandpa/images/damage/TD.png' width='16' height='16'>",
        "SPG": "<img src='cfg://grandpa/images/damage/SPG.png' width='16' height='16'>" 
      },
      "c:vtype":{
        "mediumTank": "#FFF198",
        "lightTank": "#A2FF9A",
        "heavyTank": "#F5F5F5",
        "AT-SPG": "#A0CFFF",
        "SPG": "#CC3333"
      },
      "hit-effects": {
	    "armor_pierced": "{{dmg}}<tab><img src='cfg://grandpa/images/damage/crit.png' width='16' height='16'><tab>{{type-shell}}", 
        "intermediate_ricochet": "{{dmg}}<tab><img src='cfg://grandpa/images/damage/tick2.png' width='16' height='16'><tab>{{type-shell}}",
        "final_ricochet": "{{dmg}}<tab><img src='cfg://grandpa/images/damage/tick.png' width='16' height='16'><tab>{{type-shell}}",
        "armor_not_pierced": "{{dmg}}<tab><img src='cfg://grandpa/images/damage/untick.png' width='16' height='16'><tab>{{type-shell}}",
        "armor_pierced_no_damage": "{{dmg}}<tab><img src='cfg://grandpa/images/damage/blocked.png' width='18' height='18'><tab>{{type-shell}}",
        "unknown": "{{dmg}}<tab><img src='cfg://grandpa/images/damage/damagex.png' width='16' height='16'><tab>{{type-shell}}"
      },
      
      "c:hit-effects": {
      "armor_pierced": "#FF4D3C",
      "intermediate_ricochet": "#FFF198", 
      "final_ricochet": "#A2FF9A",   
      "armor_not_pierced": "#A0CFFF",
      "armor_pierced_no_damage": "#CCCCCC"                      
      },
      "critical-hit":{
        "critical": "{{dmg}}<tab><img src='cfg://grandpa/images/damage/critical.png' width='16' height='16'><tab>{{type-shell}}",
        "no-critical": "{{hit-effects}}"
      },
	  "c:team-dmg":{
        "ally-dmg": "#00EAFF",  
        "enemy-dmg": "#FF6347", 
        "player": "#228855",    
        "unknown": "#CCCCCC"    
      },
	   "crit-device": {
        "engine_crit": "{{l10n:engine}}",
        "ammo_bay_crit": "{{l10n:ammo_bay}}",
        "fuel_tank_crit": "{{l10n:fuel_tank}}",
        "radio_crit": "{{l10n:radio}}",
        "left_track_crit": "{{l10n:left_track}}",
        "right_track_crit": "{{l10n:right_track}}",
        "gun_crit": "{{l10n:gun}}",
        "turret_rotator_crit": "{{l10n:turret_rotator}}",
        "surveying_device_crit": "{{l10n:surveying_device}}",
        "engine_destr": "{{l10n:engine}}",
        "ammo_bay_destr": "{{l10n:ammo_bay}}",
        "fuel_tank_destr": "{{l10n:fuel_tank}}",
        "radio_destr": "{{l10n:radio}}",
        "left_track_destr": "{{l10n:left_track}}",
        "right_track_destr": "{{l10n:right_track}}",
        "gun_destr": "{{l10n:gun}}",
        "turret_rotator_destr": "{{l10n:turret_rotator}}",
        "surveying_device_destr": "{{l10n:surveying_device}}",
        "commander": "{{l10n:commander}}",
        "driver": "{{l10n:driver}}",
        "radioman": "{{l10n:radioman}}",
        "gunner": "{{l10n:gunner}}",
        "loader": "{{l10n:loader}}",
        "no-critical": ""
      },
      "comp-name":{
        "turret": "<img src='cfg://grandpa/images/damage/big_turret.png' width='22' height='22' vspace='-1'>",
        "hull": "<img src='cfg://grandpa/images/damage/body.png' width='24' height='24'  vspace='-1'>",
        "chassis": "<img src='cfg://grandpa/images/damage/track.png' width='22' height='22' vspace='-1'>",
		"wheel": "<img src='cfg://grandpa/images/damage/wheel.png' width='35' height='22' vspace='-1'>",
        "gun": "<img src='cfg://grandpa/images/damage/big_gun.png' width='22' height='22' vspace='-1'>"
      },
      "costShell":{
        "gold-shell": "<img src='cfg://grandpa/images/damage/gold_shell.png' width='22' height='22' vspace='-2'>",
        "silver-shell": "<img src='cfg://grandpa/images/damage/silver_shell.png' width='22' height='22' vspace='-2'>"
      },
      "c:costShell":{
        "gold-shell": "#FFCC66",
        "silver-shell": "#CCCCCC"
      },
      
      "shadow": {
        "distance": 1,
        "angle": 90,
        "color": "#000000",
        "alpha": 60,
        "blur": 5,
        "strength": 3,
        "hideObject": false,
        "inner": false,
        "knockout": false,
        "quality": 1
      },
            
      "showHitNoDamage": false, 
      "formatHistory": "<textformat tabstops='[20,60,90,165,195]'><font size='12'>{{number}}</font><tab><font color='{{c:dmg-kind}}'>{{dmg-kind}}</font><tab>{{comp-name}}<tab><img src='cfg://grandpa/images/logicon/{{vehiclename}}.png' align='bottom' vspace='-4'></textformat>"
    }, 
	"logAlt": {
      "$ref": { "path":"damageLog.log" },
      "formatHistory": "<textformat tabstops='[20,60,90,165,195]'><font size='12'>{{number}}</font><tab><font color='{{c:dmg-kind}}'>{{dmg-kind}}</font><tab>{{comp-name}}<tab><img src='cfg://grandpa/images/logicon/{{vehiclename}}.png' align='bottom' vspace='-4'>   <font color='{{c:wn8}}'>{{name}}</font></textformat>"
    },
    "lastHit": {
      "$ref": { "path":"damageLog.log" },
	  "x": 0,
      "y": 200,
	  "dmg-kind": {
        "shot": "{{costShell}}", 
        "fire": "<img src='cfg://grandpa/images/damage/burn.png'width='30' height='30' >  FIRE", 
        "ramming": "<img src='cfg://grandpa/images/damage/ram.png' width='30' height='30'>  RAM",
		"drowning": "<img src='cfg://grandpa/images/damage/frag.png' width='30' height='30'> DROWN",
        "world_collision": "<img src='cfg://grandpa/images/damage/crash.png' width='30' height='30'> WRECK",
        "death_zone": "<img src='cfg://grandpa/images/damage/tomb.png' width='30' height='30'> DEATH",
        "gas_attack": "<img src='cfg://grandpa/images/damage/gas.png'width='30' height='30'> GAS",                                  
        "art_attack": "<img src='cfg://grandpa/images/damage/arty.png'width='35' height='30'> ARTY",     
        "air_strike": "<img src='cfg://grandpa/images/damage/bomb.png'width='35' height='30'> AIR"  
      },
	   "type-shell": {
        "armor_piercing": "{{costShell}} <font color='{{c:type-shell}}'>{{l10n:armor_piercing}}</font>",
        "high_explosive": "{{costShell}} <font color='{{c:type-shell}}'>{{l10n:high_explosive}}</font>",
        "armor_piercing_cr": "{{costShell}} <font color='{{c:type-shell}}'>{{l10n:armor_piercing_cr}}</font>",
        "armor_piercing_he": "{{costShell}} <font color='{{c:type-shell}}'>{{l10n:armor_piercing_he}}</font>",
        "hollow_charge": "{{costShell}} <font color='{{c:type-shell}}'>{{l10n:hollow_charge}}</font>",
		"not_shell": "OTHER"
      },
	  "costShell":{
        "gold-shell": "<img src='cfg://grandpa/images/damage/goldammo.png'>",
        "silver-shell": "<img src='cfg://grandpa/images/damage/ammo_silver.png'>"
      },
	  "comp-name":{
        "turret": "<img src='cfg://grandpa/images/damage/big_turret.png' width='30' height='30'>",
        "hull": "<img src='cfg://grandpa/images/damage/body.png' width='36' height='36'>",
        "chassis": "<img src='cfg://grandpa/images/damage/track.png' width='30' height='30'>",
		"wheel": "<img src='cfg://grandpa/images/damage/wheel.png' width='40' height='30'>",
        "gun": "<img src='cfg://grandpa/images/damage/big_gun.png'width='30' height='30'>"
      },
	  "splash-hit":{
        "splash": "{{costShell}} <img src='cfg://grandpa/images/damage/big_splash.png' width='30' height='30'>", 
        "no-splash": "{{critical-hit}}"         
      },
      // Team attachment of the attacker (macro {{team-dmg}}).
      "team-dmg": {
        "ally-dmg": "<font size='41'>{{vtype}}</font> {{vehicle}}",   // ally / ???????
        "enemy-dmg": "<font size='41'>{{vtype}}</font> {{vehicle}}",  // enemy / ?????????
        "player": "{{l10n:self_damage_1}}",  // self damage / ???? ?? ????
        "unknown": "{{dmg-kind}}"  // unknown / ??????????
      },
      // Color by team attachment of the attacker (macro {{c:team-dmg}}).
      "c:team-dmg": {
        "ally-dmg": "#00EAFF",       // ally / ???????
        "enemy-dmg": "#FE0E00",      // enemy / ?????????
        "player": "#CCCCCC",         // self damage / ???? ?? ????
        "unknown": "#FFFFFF"  // unknown / ??????????
      },
	  "critical-hit":{
        "critical": "{{costShell}} <img src='cfg://grandpa/images/damage/critical.png' width='30' height='30'>",
        "no-critical": "{{hit-effects}}"
	  },
	  "hit-effects": {
	    "armor_pierced": "{{dmg-kind}}", 
        "intermediate_ricochet": "{{costShell}} <img src='cfg://grandpa/images/damage/ammored.png'> BOUNCED",
        "final_ricochet": "{{costShell}} <img src='cfg://grandpa/images/damage/ricochet.png' width='30' height='35'> RICOCHET",
        "armor_not_pierced": "{{costShell}} <img src='cfg://grandpa/images/damage/nopen.png'> NO PEN",
        "armor_pierced_no_damage": "{{costShell}} <img src='cfg://grandpa/images/damage/nodmg.png'> NO DMG",
		"unknown": "<img src='cfg://grandpa/images/damage/ammored.png'> ???" 
      },
	  "showHitNoDamage": true,
      "timeDisplayLastHit": 7,
      "formatLastHit": "<textformat leading='-4'><font face='$FieldFont' size='30'><font color='{{c:dmg-kind}}'>-{{dmg}} {{splash-hit}} </font> {{comp-name}}  <font color='{{c:vtype}}'>{{vehicle}}</font></font></textformat>"
    },
	"lastHitBackground": {
      "$ref": { "path":"damageLog.lastHit" },
      "enabled": true,
      "formatLastHit": "<img src='cfg://grandpa/images/bg_hit.png'>"
	  },
	  
	"logBackground": {
      "$ref": { "path":"damageLog.log" },
      // Damage log background format.
      "formatHistory": "<img height='20' width='500' vspace='-3' src='cfg://grandpa/images/damage/{{dmg=0?no_dmg|dmgbk}}.png'>"
    },
	"logAltBackground": {
      "$ref": { "path":"damageLog.log" },
      // Damage log background format.
      "formatHistory": "<img height='20' width='500' vspace='-3' src='cfg://grandpa/images/damage/{{dmg=0?no_dmg|dmgbk}}.png'>"
    }
  }
}