﻿{
  "hitLog": {
    "enabled": true,
    "showSelfDamage": true,
    "showAllyDamage": true,
   
    "log": {
      "moveInBattle": false,
      "groupHitsByPlayer": true,
      "lines": 15,
      "addToEnd": false,
      "dmg-kind": {
        "shot":            "<font face='$FieldFont'>{{type-shell}}</font>",     // shot
        "fire":            "<img src='cfg://grandpa/images/damage/burn.png' width='18' height='18' align='bottom' vspace='-2'><font color='{{c:dmg-kind}}'> FIRE</font>",  // fire / ?????.
        "ramming":         "<img src='cfg://grandpa/images/damage/ram.png' width='18' height='18' align='bottom' vspace='-2'><font color='{{c:dmg-kind}}'> RAM</font>",  // ramming / ?????.
        "world_collision": "<img src='cfg://grandpa/images/damage/crash.png' width='18' height='18' align='bottom' vspace='-2'><font color='{{c:dmg-kind}}'> WRECK</font>",  // world collision 
        "drowning":        "<img src='cfg://grandpa/images/damage/drown.png' width='18' height='18' align='bottom' vspace='-2'><font color='{{c:dmg-kind}}'> DROWN</font>", // drowning / ?????????.
        "overturn":        "<img src='cfg://grandpa/images/damage/overturn.png' width='18' height='18' align='bottom' vspace='-2'><font color='{{c:dmg-kind}}'> OVERTURN</font>", // overturn / ?????????????.
        "death_zone":      "<img src='cfg://grandpa/images/damage/death_zone.png' width='18' height='18' align='bottom' vspace='-2'><font color='{{c:dmg-kind}}'>DZ</font>",                                                     // death zone / ??????????? ????.
        "gas_attack":      "<img src='cfg://grandpa/images/damage/gas.png' width='18' height='18' align='bottom' vspace='-2'><font color='{{c:dmg-kind}}'>GAS</font>",                                                     // gas attack / ??????? ?????.
        "art_attack":      "<img src='cfg://grandpa/images/damage/arty.png' width='18' height='18' align='bottom' vspace='-2'><font color='{{c:dmg-kind}}'>ARTY</font>",                        // art attack / ?????????????? ?????????.
        "air_strike":      "<img src='cfg://grandpa/images/damage/bomb.png' width='18' height='18' align='bottom' vspace='-2'><font color='{{c:dmg-kind}}'>AIR</font>"                         // air strike / ????????? ???????.
      },
      "c:dmg-kind": {
        "shot": "#FFAA55",            // shot / ?????????.
		"fire": "#FF0000", 
        "ramming":  "#FF8D48",
        "world_collision": "#FBE54A",
        "death_zone": "#CC66CC",
        "art_attack": "#E585CF",     
        "air_strike": "#658FBA",
        "drowning": "#2AC48E",        // drowning / ?????????.
        "overturn": "#FE10A3",        // overturn / ?????????????.
        "gas_attack": "#DEE51F"      // gas attack / ??????? ?????.
      },
      "dmg-kind-player": {
        "shot":            "<font size='6'> </font><font face='xvm'>&#x50;</font>",  // shot / ?????????.
        "fire":            "<font size='6'> </font><font face='xvm'>&#x51;</font>",  // fire / ?????.
        "ramming":         "<font size='6'> </font><font face='xvm'>&#x52;</font>",  // ramming / ?????.
        "world_collision": "<font size='6'> </font><font face='xvm'>&#x53;</font>",  // world collision / ???????????? ? ?????????, ???????.
        "drowning":        "<font size='6'> </font><font face='xvm'>&#x119;</font>", // drowning / ?????????.
        "overturn":        "<font size='6'> </font><font face='xvm'>&#x112;</font>", // overturn / ?????????????.
        "death_zone":      "DZ",                                                     // death zone / ??????????? ????.
        "gas_attack":      "GA",                                                     // gas attack / ??????? ?????.
        "art_attack":      "<font face='xvm'>&#x110;</font>",                        // art attack / ?????????????? ?????????.
        "air_strike":      "<font face='xvm'>&#x111;</font>"                         // air strike / ????????? ???????.
      },
      "type-shell": {
        "armor_piercing": "{{costShell}} <font color='{{c:type-shell}}'>{{l10n:armor_piercing}}</font>",
        "high_explosive": "{{costShell}} <font color='{{c:type-shell}}'>{{l10n:high_explosive}}</font>",
		"high_explosive_stun": "{{costShell}} <font color='{{c:type-shell}}'>{{l10n:high_explosive}}</font>", 
        "armor_piercing_cr": "{{costShell}} <font color='{{c:type-shell}}'>{{l10n:armor_piercing_cr}}</font>",
        "armor_piercing_he": "{{costShell}} <font color='{{c:type-shell}}'>{{l10n:armor_piercing_he}}</font>",
        "hollow_charge": "{{costShell}} <font color='{{c:type-shell}}'>{{l10n:hollow_charge}}</font>",
		"not_shell": "OTHER"
      },
      "c:type-shell": {
        "armor_piercing": "#D6D6D6",     
        "high_explosive": "#FF0000",
		"high_explosive_stun": "#FF0000",
        "armor_piercing_cr": "#658FBA",   
        "armor_piercing_he": "#FE10A3",    
        "hollow_charge": "#F83676"        
      },
      "vtype": {
        "HT": "<font face='xvm'>&#x3F;</font>",          // heavy tank / ??????? ????.
        "MT": "<font face='xvm'>&#x3B;</font>",          // medium tank / ??????? ????.
        "LT": "<font face='xvm'>&#x3A;</font>",          // light tank / ?????? ????.
        "TD": "<font face='xvm'>&#x2E;</font>",          // tank destroyer / ??-???.
        "SPG": "<font face='xvm'>&#x2D;</font>",         // SPG / ???.
        "not_vehicle": "<font face='xvm'>&#x105;</font>" // another source of damage / ?????? ???????? ?????.
      },
      "c:vtype": {
        "HT": "#FFACAC",         // heavy tank / ??????? ????.
        "MT": "#FFF198",         // medium tank / ??????? ????.
        "LT": "#A2FF9A",         // light tank / ?????? ????.
        "TD": "#A0CFFF",         // tank destroyer / ??-???.
        "SPG": "#EFAEFF",        // SPG / ???.
        "not_vehicle": "#CCCCCC" // another source of damage / ?????? ???????? ?????.
      },
      "comp-name": {
        "turret": "{{l10n:turret}}",   // turret / ?????.
        "hull": "{{l10n:hull}}",       // body / ??????.
        "chassis": "{{l10n:chassis}}", // suspension / ???????.
        "wheel": "{{l10n:wheel}}",     // wheel / ??????.
        "gun": "{{l10n:gun}}",         // gun / ??????.
        "unknown": ""                  // unknown / ??????????.
      },
      "team-dmg": {
        "ally-dmg": "",  // ally / ???????.
        "enemy-dmg": "", // enemy / ?????????.
        "player": "",    // self damage / ???? ?? ????.
        "unknown": ""    // unknown / ??????????.
      },
      "c:team-dmg": {
        "ally-dmg": "#00EAFF",  // ally / ???????.
        "enemy-dmg": "#CCCCCC", // enemy / ?????????.
        "player": "#228855",    // self damage / ???? ?? ????.
        "unknown": "#CCCCCC"    // unknown / ??????????.
      },
      "costShell": {
        "gold-shell": "<img src='cfg://grandpa/images/damage/gold_shell.png' width='22' height='22' align='bottom' vspace='-2'>",   // gold / ??????.
        "silver-shell": "<img src='cfg://grandpa/images/damage/silver_shell.png' width='22' height='22' align='bottom' vspace='-2'>", // credits / ???????.
        "unknown": "??"       // unknown / ??????????.
      },
      "c:costShell": {
        "gold-shell":   "#FFCC66", // gold / ??????.
        "silver-shell": "#CCCCCC", // credits / ???????.
        "unknown":      "#FFFFFF"  // unknown / ??????????.
      },
     "formatHistory": "<textformat leading='-4' tabstops='[25,110,175,315]'><font size='12'>\u00D7{{n-player}}:</font><tab><font color='#FF0028'>{{dmg-player}}</font>  |  <font color='{{c:dmg-kind}}'>{{dmg}}</font><tab>{{dmg-kind}}<tab><font color='{{c:wn8}}'>{{name%.15s~..}} </font><font alpha='#A0'>{{clan}}</font><tab><img src='cfg://grandpa/images/logicon/{{vehiclename}}.png' align='bottom' vspace='-5'> <font size='15' color='#FF0000'>{{alive? |{{blownup?<img src='cfg://grandpa/images/damage/ammored.png' width='18' height='15'> |<img src='cfg://grandpa/images/damage/death.png' width='16' height='16'>}}}}</font></textformat>" 
      },
    "logAlt": {
       "formatHistory": "<textformat leading='-4' tabstops='[25,110,175,315,430]'><font size='12'>\u00D7{{n-player}}:</font><tab><font color='#FF0028'>{{dmg-player}}</font>  |  <font color='{{c:dmg-kind}}'>{{dmg}}</font><tab>{{dmg-kind}}<tab><font color='{{c:wn8}}'>{{name%.15s~..}} </font><font alpha='#A0'>{{clan}}</font><tab><img src='cfg://grandpa/images/logicon/{{vehiclename}}.png' align='bottom' vspace='-5'> <tab> <font size='15' color='#FF0000'>{{alive? |{{blownup?<img src='cfg://grandpa/images/damage/ammored.png' width='18' height='15'>|<img src='cfg://grandpa/images/damage/death.png' width='16' height='16'>}}}}</font></textformat>" 
    },
	"logBackground": {
      "$ref": { "path":"hitLog.log" },
      // Damage log background format.
      "formatHistory": "<img height='20' width='400' vspace='-3' src='cfg://grandpa/images/damage/{{dmg=0?no_dmg|dmgbk}}.png'>"
    },
	"logAltBackground": {
      "$ref": { "path":"hitLog.log" },
      // Damage log background format.
      "formatHistory": "<img height='20' width='400' vspace='-3' src='cfg://grandpa/images/damage/{{dmg=0?no_dmg|dmgbk}}.png'>"
    }
  }
}
