﻿/**
 * Parameters for login screen
 * ????????? ?????? ??????
 */
{
  "login": {
    "saveLastServer": true,
    "autologin": true,
    "confirmOldReplays": false,
     "disabledServers": [],
    // Ping servers
    // ???? ????????
    "pingServers": {
      // true - enable display of ping to the servers
      // true - ?????????? ???? ?? ????????
      "enabled": true,
      // Update interval, in ms
      // ???????? ??????????, ? ??
      "updateInterval": 10000,
      // Axis field coordinates
      // ????????? ???? ?? ????
      "x": 20,
      "y": 30,
      // Horizontal alignment of field at screen ("left", "center", "right").
      // ?????????????? ???????????? ???? ?? ?????? ("left", "center", "right").
      "hAlign": "top",
      // Vertical alignment of field at screen ("top", "center", "bottom").
      // ???????????? ???????????? ???? ?? ?????? ("top", "center", "bottom").
      "vAlign": "left",
      // Transparency
      // ???????????? ?? 0 ?? 100
      "alpha": 100,
      // If set, draw image at background.
      // ??????? ???????????, ???? ??????.
      // example: "bgImage": "cfg://My/img/my.png",
      "bgImage": null,
      // Server to response time text delimiter
      // ??????????? ??????? ?? ??????? ???????
      "delimiter": "\n",
      // Maximum number of column rows
      // ???????????? ?????????? ????? ????? ???????
      "maxRows": 2,
      // Gap between columns
      // ???????????? ????? ?????????
      "columnGap": 10,
      // Leading between lines.
      // ???????????? ????? ????????
      "leading": 0,
      // true - show title "Ping"
      // true - ?????????? ????????? "????"
      "showTitle": true,
      // true - show server names in list
      // true - ?????????? ???????? ???????? ? ??????
      "showServerName": true,
      // expand server names to this amount of symbols. recommended to use monospace font if this option is set.
      // ????????? ???????? ???????? ?? ??????? ?????????? ????????. ????????????? ???????????? ???????????? ????? ???? ?????? ????? ??????.
      "minimalNameLength": 4,
      // expand values to this amount of symbols. recommended to use monospace font if this option is set.
      // ????????? ???????? ?? ??????? ?????????? ????????. ????????????? ???????????? ???????????? ????? ???? ?????? ????? ??????.
      "minimalValueLength": 0,
      // text to show in case of error
      // ????? ???????????? ? ?????? ??????
      "errorString": "--",
      // List of ignored servers, for example, ["RU1", "RU3"]
      // ?????? ???????????? ????????, ????????, ["RU1", "RU3"]
      "ignoredServers": [],
      // Text style
      // ????? ??????
      "fontStyle": {
        // Font name
        // ???????? ??????
        "name": "$TextFont",
        "size": 16, // ??????
        "bold": false,  // ??????
        "italic": false, // ??????
        // Different colors depending on server response time
        // ?????? ????? ? ??????????? ?? ??????? ??????? ???????
        "color": {
          "great": "0x60ff00",
          "good":  "0xF8F400",
          "poor":  "0xFE7903",
          "bad":   "0xFE0E00"
        },
        // Color for server name and delimiter (for example, "0x8080FF"). Empty string "" - use same color as online value
        // ???? ??? ???????? ??????? ? ??????????? (????????, "0x8080FF"). ?????? ?????? "" - ???????????? ???? ???????? ???????
        "serverColor": ""
      },
      // Threshold values defining response quality
      // ????????? ????????, ???????????? ???????? ???????
      "threshold": {
        // Below this value response is great
        // ?? ????? ???????? ?????? ????????
        "great": 35,
        // Below this value response is good
        // ?? ????? ???????? ?????? ???????
        "good": 60,
        // Below this value response is poor
        // ?? ????? ???????? ?????? ??? ????
        "poor": 100
        // Values above define bad response
        // ???????? ????? ????????? ?????? ????????
      },
      // Shadow options
      // ????????? ????
      "shadow": {
        // false - no shadow
        // false - ??? ????
        "enabled": true,
        "distance": 0,             // (in pixels)     / offset distance / ????????? ????????
        "angle": 0,                // (0.0 .. 360.0)  / offset angle    / ???? ????????
        "color": "0x000000",       // "0xXXXXXX"      / color           / ????
        "alpha": 70,               // (0 .. 100)      / opacity         / ????????????
        "blur": 4,                 // (0.0 .. 255.0)  / blur            / ????????
        "strength": 2              // (0.0 .. 255.0)  / intensity       / ?????????????
      }
    },
    "onlineServers": {
      // true - enable display online of servers
      // true - ?????????? ?????? ????????
      "enabled": true,
      // Axis field coordinates
      // ????????? ???? ?? ????
      "x": 5,
      "y": 90,
      // Horizontal alignment of field at screen ("left", "center", "right").
      // ?????????????? ???????????? ???? ?? ?????? ("left", "center", "right").
      "hAlign": "left",
      // Vertical alignment of field at screen ("top", "center", "bottom").
      // ???????????? ???????????? ???? ?? ?????? ("top", "center", "bottom").
      "vAlign": "top",
      // Transparency
      // ???????????? ?? 0 ?? 100
      "alpha": 80,
      // If set, draw image at background.
      // ??????? ???????????, ???? ??????.
      // example: "bgImage": "cfg://My/img/my.png",
      "bgImage": null,
      // Server to online text delimiter
      // ??????????? ??????? ?? ???????
      "delimiter": ": ",
      // Maximum number of column rows
      // ???????????? ?????????? ????? ????? ???????
      "maxRows": 3,
      // Gap between columns
      // ???????????? ????? ?????????
      "columnGap": 10,
      // Leading between lines.
      // ???????????? ????? ????????
      "leading": 0,
      // true - show title "Online"
      // true - ?????????? ????????? "??????"
      "showTitle": true,
      // true - show server names in list
      // true - ?????????? ???????? ???????? ? ??????
      "showServerName": true,
      // expand server names to this amount of symbols. recommended to use monospace font if this option is set.
      // ????????? ???????? ???????? ?? ??????? ?????????? ????????. ????????????? ???????????? ???????????? ????? ???? ?????? ????? ??????.
      "minimalNameLength": 4,
      // expand values to this amount of symbols. recommended to use monospace font if this option is set.
      // ????????? ???????? ?? ??????? ?????????? ????????. ????????????? ???????????? ???????????? ????? ???? ?????? ????? ??????.
      "minimalValueLength": 0,
      // text to show in case of error
      // ????? ???????????? ? ?????? ??????
      "errorString": "--k",
      // List of ignored servers, for example, ["RU1", "RU3"]
      // ?????? ???????????? ????????, ????????, ["RU1", "RU3"]
      "ignoredServers": [],
      // Text style
      // ????? ??????
      "fontStyle": {
        // Font name
        // ???????? ??????
        "name": "$TextFont",
        "size": 12, // ??????
        "bold": false,  // ??????
        "italic": false, // ??????
        // Different colors depending on people online
        // ?????? ????? ? ??????????? ?? ?????????? ???????
        "color": {
          "great": "0x60ff00",
          "good": "0xF8F400",
          "poor": "0xFE7903",
          "bad": "0xFE0E00"
        },
        // Color for server name and delimiter (for example, "0x8080FF"). Empty string "" - use same color as online value
        // ???? ??? ???????? ??????? ? ??????????? (????????, "0x8080FF"). ?????? ?????? "" - ???????????? ???? ???????? ???????
        "serverColor": ""
      },
      // Threshold values defining server online and thus shorter battle queue
      // ????????? ????????, ???????????? ?????????? ??????? ?????? ? ????????????? ??????? ??????? ? ???
      "threshold": {
        "great": 30000,
        "good": 10000,
        "poor": 3000
        //below this value the queue might be long
        //???? ????? ???????? ??????? ????? ???? ??????
      },
      // Shadow options
      // ????????? ????
      "shadow": {
        "enabled": true,
        "distance": 0,
        "angle": 0,
        "color": "0x000000",
        "alpha": 70,
        "blur": 4,
        "strength": 2
      }
    },
	"widgets": ${"kiss-widgets.xc":"widgets.login"}
  }
}