﻿/**
 * Widgets templates.
 * ??????? ????????.
 */
{
  "ClockDefault": {
    "enabled": true,
    "layer": "normal",
    "type": "extrafield",
    "formats": [
      {
        "updateEvent": "ON_EVERY_SECOND",
        "x": 215,
        "y": 100,
        "width": 185,
        "height": 49,           
        "screenHAlign": "center",
        
        
        "scr":  null,      
        "shadow": 
		{ "enabled": true,
		"distance": 2,
		"angle":90,
		"color": "0x000000",
		"alpha": 90, 
		"blur": 3,
		"strength": 2},
        "textFormat": { "align": "right", "valign": "top", "color": "0x0xA2A2A4" },
        "format": "<font size='38'>{{py:xvm.formatDate('%I:%M %p')}}</font></textformat></font>"
     
	    },
//------PNG Right
       {
	   "layer": "bottom",	   
       "x":390,
       "y": 3,  
       "width": 130, 
       "height":130,  
              
       "screenHAlign": "center",
       "shadow": {  "enabled": true,   "distance": 0, "angle": 0, "color": "0x000000", "alpha": 100,   "blur": 4, "strength": 2 },
       "textFormat": { "align": "right", "valign": "center"},
       "format": "<img src='cfg://grandpa/images/clock/nation/emblems/{{v.nation}}.png'>"
     } ,
//------PNG left
       {
	   "layer": "bottom",	   
       "x":-395,
       "y": 3,  
       "width": 130, 
       "height":130,  
              
       "screenHAlign": "center",
       "shadow": {  "enabled": true,   "distance": 0, "angle": 0, "color": "0x000000", "alpha": 100,   "blur": 4, "strength": 2 },
       "textFormat": { "align": "right", "valign": "center"},
       "format": "<img src='cfg://grandpa/images/clock/nation/emblems/{{v.nation}}.png'>"
     } ,
       {
//------------Left Day------------------------===|   
        "x": -330,
        "y": 90,
        "width": 185,
        "height": 49,           
        "screenHAlign": "center",      
        
        "scr":  null,      
        "shadow": 
		{ "enabled": true,
		"distance": 2,
		"angle":90,
		"color": "0x000000",
		"alpha": 90, 
		"blur": 3,
		"strength": 2},
        "textFormat": { "align": "right", "valign": "top", "color": "0x0xA2A2A4" },
        "format": "<font size='23'>{{py:xvm.formatDate('%Au')}}</font></textformat></font>"
     
	    },
		{
//------------Left Month------------------------===|
		
        "x": -335,
        "y": 115,
        "width": 185,
        "height": 49,           
        "screenHAlign": "center",     
        
        "scr":  null,      
        "shadow": 
		{ "enabled": true,
		"distance": 2,
		"angle":90,
		"color": "0x000000",
		"alpha": 90, 
		"blur": 3,
		"strength": 2},
        "textFormat": { "align": "right", "valign": "top", "color": "0x0xA2A2A4" },
        "format": "<font size='23'>{{py:xvm.formatDate('%bu %d ')}}</font></textformat></font>"
     
	    }	 
    ] 
  }, 
    "statistics": {
    "enabled": true,
    "layer": "normal",
    "type": "extrafield",
    "formats": [
      {
        // Background image, left part.
        // ??????? ????????, ????? ?????.
        "updateEvent": "ON_MY_STAT_LOADED",
        "x": 136,
        "y": 170,
        "screenHAlign": "center",
        "format": "<img src='xvm://res/icons/clock/clockBg.png' width='160' height='{{mystat.wn8?80|28}}'>"
      },
      {
        // Background image, right part.
        // ??????? ????????, ?????? ?????.
        "updateEvent": "ON_MY_STAT_LOADED",
        "x": 460,
        "y": 170,
        "screenHAlign": "center",
        "scaleX": -1,
        "format": "<img src='xvm://res/icons/clock/clockBg.png' width='160' height='{{mystat.wn8?80|28}}'>"
      },
      {
        // Text block.
        // ????????? ????.
        "updateEvent": "ON_MY_STAT_LOADED",
        "x": 255,
        "y": 175,
        "width": 320,
        "height": 75,
        "screenHAlign": "center",
        "shadow": { "alpha": 80, "blur": 4, "strength": 2 },
        "textFormat": { "font": "$FieldFont", "color": "0x959688", "size": 14 },
        "format": "<font color='#FFFFFF'>{{mystat.wn8?{{l10n:General stats}} (<font color='#F9F1BC'>{{py:stat_update('%d-%m-%Y')|{{l10n:unknown}}}}</font>) - Grandpa Config</font>\n{{l10n:WN8}}:  <font color='{{mystat.c_xwn8}}'>{{mystat.xwn8}}</font>  (<font color='{{mystat.c_wn8}}'>{{mystat.wn8}}</font>)  WGR:  <font color='{{mystat.c_xwgr}}'>{{mystat.xwgr}}</font>  (<font color='{{mystat.c_wgr}}'>{{mystat.wgr}}</font>)\n{{l10n:Avg level}}: <font color='{{mystat.c_avglvl}}'>{{mystat.avglvl%.2f}}</font>}} <font size='13'>{{l10n:Wins}}: <font color='{{mystat.c_winrate}}'>{{mystat.winrate%.2f~%}}</font>\n<font color='#FFFFFF'>{{v.name}}</font> ~ <font size='13'>{{l10n:Wins}}:  <font color='{{v.c_winrate}}'>{{v.winrate%.2f~%}}</font>  Hitrate: <font color='{{v.c_hitsRatio}}'> {{v.hitsRatio%.2f~%}} </font></font> "
      }
    ]
  },	
//--------------------Tank Nation Flag ------------------------------------------	
   "NationFlag": {    
    "enabled": false,  
    "layer": "bottom",
    "type": "extrafield",
    "formats": [
      {      	   
	   "hotKeyCode": 56, "onHold": "false", "visibleOnHotKey": false ,
       "x":-20, 
       "y": 167,  
       "width": 100, 
       "height":60,  
             
       "screenHAlign": "center",
       "shadow": {  "enabled": true,   "distance": 0, "angle": 0, "color": "0x000000", "alpha": 100,   "blur": 4, "strength": 2 },
       "textFormat": { "align": "right", "valign": "center"},
       "format": "<img src='cfg://grandpa/images/clock/nation/emblems/{{v.nation}}.png'>"
     }  
    ]
  }
}
