﻿/**
 * Options for alive without Alt markers.
 * ????????? ???????? ??? ????? ??? Alt.
 */
{
  // Definitions
  // ???????
  "def": {
    // Floating damage values.
    // ??????????? ????.
   "damageTextAlly": {
      "enabled": true,
      "x": 0,
      "y": -67,
      "alpha": 100,
      "textFormat": { "bold": true, "align": "center", "color": "0xA8FFB8", "font": "mono", "size": 22 },
      "shadow": {
        "enabled": true,
		"alpha": 90, 
		"angle": 90,
		"distance": 1,
        "color": "0x008718",
        "blur": 3,
        "strength": 1.5
      },
      "speed": 3,
      "maxRange": 100,
      "damageMessage": "-{{dmg}}",
      "blowupMessage": "<img src='cfg://grandpa/images/markers/ammogreen.png' width='32' height='32'>\n-{{dmg}}"
    },
    "damageTextEnemy": {
      "enabled": true,
      "x": 0,
      "y": -67,
      "alpha": 100,
      "textFormat": { "align": "center", "bold": true, "color": "0xFFCCCC", "font": "mono", "size": 22 },
      "shadow": {
        "enabled": true,
		"alpha": 100, 
		"angle": 90,
		"distance": 1,
        "color": "0xC10000",
        "blur": 3,
        "strength": 2
      },
      "speed": 3,
      "maxRange": 100,
      "damageMessage": "-{{dmg}}",
      "blowupMessage": "<img src='cfg://grandpa/images/markers/ammored.png' width='32' height='32'>\n-{{dmg}}"
    },
    // Text field with the name of the tank.
    // ????????? ???? ? ????????? ?????.
    "tankName": {
      "name": "Tank name",
      "enabled": true,
      "x": 0,
      "y": -39,
      "alpha": 100,
      "align": "center",
      "textFormat": {
        "font": "Calibri",
        "size": 15,
        "color": null,
        "bold": true,
        "italic": false
      },
      "shadow": {
        "enabled": true,
        "distance": 1,
        "angle": 45,
        "color": "0x000000",
        "alpha": 100,
        "blur": 4,
        "strength": 4
      },
      "format": "{{vehicle}}{{premium=premium?<img src='cfg://grandpa/images/markers/{{premium}}.png'>|}}"
    },
    // Text field with the name of the player.
    // ????????? ???? ? ?????? ??????.
    "playerName": {
      "name": "Player name",          // ???????? ?????????? ????, ?? ?? ??? ?? ??????
      "enabled": false,
      "x": 0,                         // ????????? ?? ??? X
      "y": -53,                       // ????????? ?? ??? Y
      "alpha": 100,                   // ???????????? (??????????? ????????????? ???????????? ????????????, ??. macros.txt)
      // Font options.
      // ????????? ??????.
      "textFormat": {
        "font": "Calibri",         //   ????????
        "size": 12,                   //   ??????
        "color": null,                //   ???? (??????????? ????????????? ????????????? ?????, ??. macros.txt)
        "align": "center",            //   ???????????? ?????? (left, center, right)
        "bold": true,                //   ??????? (false) ??? ?????? (true)
        "italic": false               //   ??????? (false) ??? ?????? (true)
      },
      // Shadow options.
      // ????????? ????.
      "shadow": {
        // false - no shadow
        // false - ??? ????
        "enabled": true,
        "distance": 1,                //   ????????? ????????
        "angle": 45,                  //   ???? ????????
        "color": "0x000000",          //   ????
        "alpha": 100,                 //   ????????????
        "blur": 2,                    //   ????????
        "strength": 2                 //   ?????????????
      },
      "format": "{{name}}"
    },
    // Text field with the remaining health.
    // ????????? ???? ? ?????????? ?????????.
    "tankHp": {
      "name": "Tank HP",
      "enabled": true,
      "x": 0,
      "y": -16,
      "alpha": 100,
      "textFormat": {
        "font": "$FieldFont",
        "size": 11,
        "color": "0xFCFCFC",
        "align": "center",
        "bold": true,
        "italic": false
      },
      "shadow": {
        "enabled": true,
        "distance": 0,
        "angle": 45,
        "color": "0x000000",
        "alpha": 100,
        "blur": 4,
        "strength": 2
      },
      "format": "{{hp}} / {{hp-max}}"
    },
    // Stock Turret Marker
    "StockTurretMarker": {
      "name": "StockTurretMarker",
      "enabled": true,
      "x": 32,
      "y": -14,
      "alpha": 100,
      "textFormat": {
        "font": "Calibri",
        "size": 10,
        "color": null,
        "align": "center",
        "bold": true,
        "italic": false
      },
      "shadow": {
        "enabled": true,
        "distance": 0,
        "angle": 45,
        "color": "0x000000",
        "alpha": 100,
        "blur": 3,
        "strength": 1
      },
      "format": "{{turret}}"
    },
    // Text field with rating marker.
    "RatingMarker_Left": {
      "name": "Rating Marker Left",
      "enabled": true,
      "x": -31,
      "y": -17,
      "alpha": "{{xvm-stat?100|0}}",
      "textFormat": {
        "font": "Wingdings",
        "size": 14,
        "color": "{{c:r|#999999}}",
        "align": "center",
        "bold": true,
        "italic": false
      },
      "shadow": {
        "enabled": true,
        "distance": 0,
        "angle": 0,
        "color": "0x000000",
        "alpha": 100,
        "blur": 2,
        "strength": 2
      },
      "format": "«"
    },
    // Text field with rating.
    // ????????? ???? ? ?????????.
    "rating": {
      "name": "Rating",
      "enabled": false,
      "x": -33,
      "y": -20,
      "alpha": "{{xvm-stat?100|0}}",
      "textFormat": {
        "font": "xvm",
        "size": 16,
        "color": "{{c:r|#999999}}",
        "align": "right",
        "bold": false,
        "italic": false
      },
      "shadow": {
        "enabled": true,
        "distance": 0,
        "angle": 45,
        "color": "0x000000",
        "alpha": 100,
        "blur": 2,
        "strength": 1
      },
      "format": "&#x115;"
    },
    "TankWinRatio": {
      "name": "TankWinRatio",
      "enabled": true,
      "x": 38,
      "y": -25,
      "alpha": 100,
      "align": "left",
      "textFormat": {
        "font": "Calibri",
        "size": 13,
        "color": null,
        "bold": true,
        "italic": false
      },
      "shadow": {
        "enabled": true,
        "distance": 0,
        "angle": 45,
        "color": "0x000000",
        "alpha": 100,
        "blur": 2,
        "strength": 2
      },
      "format": "{{hp-ratio}}%"
    },
    "GlobalBattles": {
      "name": "Global Battles",
      "enabled": false,
      "x": -30,
      "y": -54,
      "alpha": "{{xvm-stat?100|0}}",
      "textFormat": {
        "font": "Calibri",
        "size": 14,
        "color": "{{c:kb|#666666}}",
        "align": "center",
        "bold": true,
        "italic": false
      },
      "shadow": {
        "enabled": true,
        "distance": 0,
        "angle": 45,
        "color": "0x000000",
        "alpha": 100,
        "blur": 2,
        "strength": 2
      },
      "format": "{{kb%d~k|-k}}"
    },
    "GlobalRating": {
      "name": "Global Rating",
      "enabled": false,
      "x": 0,
      "y": -54,
      "alpha": "{{xvm-stat?100|0}}",
      "textFormat": {
        "font": "Calibri",
        "size": 14,
        "color": "{{c:r|#666666}}",
        "align": "center",
        "bold": true,
        "italic": false
      },
      "shadow": {
        "enabled": true,
        "distance": 0,
        "angle": 45,
        "color": "0x000000",
        "alpha": 100,
        "blur": 2,
        "strength": 2
      },
      "format": "{{r}}"
    },
    "GlobalWinratio": {
      "name": "Global Win ratio",
      "enabled": false,
      "x": 33,
      "y": -54,
      "alpha": "{{xvm-stat?100|0}}",
      "textFormat": {
        "font": "Calibri",
        "size": 14,
        "color": "{{c:winrate|#666666}}",
        "align": "center",
        "bold": true,
        "italic": false
      },
      "shadow": {
        "enabled": true,
        "distance": 0,
        "angle": 45,
        "color": "0x000000",
        "alpha": 100,
        "blur": 2,
        "strength": 2
      },
      "format": "{{winrate%2d~%|--%}}"
    },
    "GlobalBattlesStar": {
      "name": "Global Battles Star",
      "enabled": false,
      "x": -11,
      "y": -50,
      "alpha": "{{xvm-stat?100|0}}",
      "textFormat": {
        "font": "Wingdings",
        "size": 13,
        "color": "{{c:kb|#666666}}",
        "align": "center",
        "bold": true,
        "italic": false
      },
      "shadow": {
        "enabled": true,
        "distance": 0,
        "angle": 45,
        "color": "0x000000",
        "alpha": 100,
        "blur": 2,
        "strength": 2
      },
      "format": "«"
    },
    "GlobalRatingStar": {
      "name": "Global Rating Star",
      "enabled": false,
      "x": 0,
      "y": -50,
      "alpha": "{{xvm-stat?100|0}}",
      "textFormat": {
        "font": "Wingdings",
        "size": 13,
        "color": "{{c:r|#666666}}",
        "align": "center",
        "bold": true,
        "italic": false
      },
      "shadow": {
        "enabled": true,
        "distance": 0,
        "angle": 45,
        "color": "0x000000",
        "alpha": 100,
        "blur": 2,
        "strength": 2
      },
      "format": "«"
    },
    "GlobalWinratioStar": {
      "name": "Global Win ratio star",
      "enabled": false,
      "x": 11,
      "y": -50,
      "alpha": "{{xvm-stat?100|0}}",
      "textFormat": {
        "font": "Wingdings",
        "size": 13,
        "color": "{{c:winrate|#666666}}",
        "align": "center",
        "bold": true,
        "italic": false
      },
      "shadow": {
        "enabled": true,
        "distance": 0,
        "angle": 45,
        "color": "0x000000",
        "alpha": 100,
        "blur": 2,
        "strength": 2
      },
      "format": "«"
    },
    "TankWinRatioStar": {
      "name": "Tank Win Ratio Star",
      "enabled": false,
      "x": 17,
      "y": -50,
      "alpha": "{{xvm-stat?100|0}}",
      "textFormat": {
        "font": "Wingdings",
        "size": 13,
        "color": "{{c:t-winrate|#666666}}",
        "align": "center",
        "bold": true,
        "italic": false
      },
      "shadow": {
        "enabled": true,
        "distance": 0,
        "angle": 45,
        "color": "0x000000",
        "alpha": 100,
        "blur": 2,
        "strength": 2
      },
      "format": "«"
    },
    "TierNumber": {
      "name": "Tier Number",
      "enabled": true,
      "x": -38,
      "y": -25,
      "alpha": 100,
      "align": "right",
      "textFormat": {
        "font": "Calibri",
        "size": 13,
        "color": null,
        "bold": true,
        "italic": false
      },
      "shadow": {
        "enabled": true,
        "distance": 0,
        "angle": 45,
        "color": "0x000000",
        "alpha": 100,
        "blur": 2,
        "strength": 2
      },
      "format": "{{rlevel}}"
    },
    // Text field with the XMQP event marker.
    // ????????? ???? ? ???????? ??????? XMQP.
    "xmqpEvent": {
      "name": "xmqp event",           //  ???????? ?????????? ????, ?? ?? ??? ?? ??????
      "enabled": false,                //  false - ?? ??????????
      "x": -46,                         //  ????????? ?? ??? X
      "y": -32,  //  ????????? ?? ??? Y
      "alpha": 100,                   //  ???????????? (??????????? ????????????? ???????????? ????????????, ??. macros.txt)
      // Font options.
      // ????????? ??????.
      "textFormat": {
        "font": "xvm",                //  ????????
        "size": 23,                   //  ??????
        "color": "0xFFBB00",          //  ???? (??????????? ????????????? ????????????? ?????, ??. macros.txt)
        "align": "center",            //  ???????????? ?????? (left, center, right)
        "bold": false,                //  ??????? (false) ??? ?????? (true)
        "italic": false               //  ??????? (false) ??? ?????? (true)
      },
      // Shadow options.
      // ????????? ????.
      "shadow": {
        // false - no shadow
        // false - ??? ????
        "enabled": true,
        "distance": 0,                //  ????????? ????????
        "angle": 45,                  //  ???? ????????
        "color": "0x000000",          //  ????
        "alpha": 100,                 //  ????????????
        "blur": 4,                    //  ????????
        "strength": 1                 //  ?????????????
      },
      "format": "<font color='{{x-spotted?#FFBB00|#FFFFFF}}' alpha='{{x-spotted?#FF|#80}}'>{{x-spotted?&#x70;|{{x-sense-on?&#x70;}}}}</font> {{x-overturned?&#x112;}}"  //  ?????? ??????. ??. ???????? ???????? ? macros.txt
    },
    // Position of the player
    // ?????????? ????? ??????
    "position": {
      "name": "position",             //  ???????? ?????????? ????, ?? ?? ??? ?? ??????
      "enabled": false,                //  false - ?? ??????????
      "x": 0,                         //  ????????? ?? ??? X
      "y": -55,                       //  ????????? ?? ??? Y
      "alpha": 100,                   //  ???????????? (??????????? ????????????? ???????????? ????????????, ??. macros.txt)
      "textFormat": {                 //  ????????? ??????
        "font": "$FieldFont",         //  ????????
        "size": 14,                   //  ??????
        "color": "0xEDEDED",          //  ???? (??????????? ????????????? ????????????? ?????, ??. macros.txt)
        "align": "center",            //  ???????????? ?????? (left, center, right)
        "bold": true,                 //  ??????? (false) ??? ?????? (true)
        "italic": false               //  ??????? (false) ??? ?????? (true)
      },
      "shadow": {                     //  ????????? ????
        // false - no shadow
        // false - ??? ????
        "enabled": true,
        "distance": 0,                //   ????????? ????????
        "angle": 45,                  //   ???? ????????
        "color": "{{c:system}}",      //   ????
        "alpha": 100,                 //   ????????????
        "blur": 6,                    //   ????????
        "strength": 2                 //   ?????????????
      },
      "format": "{{position}}</font>"
    },
    "DyingMark_Right": {
        "name": "DyingMark_Right",      // ???????? ?????????? ????, ?? ?? ??? ?? ??????
        "enabled": false,               // false - ?? ??????????
        "x": 45,                        // ????????? ?? ??? X
        "y": -55,                       // ????????? ?? ??? Y
        "alpha": "{{a:hp-ratio}}",      // ???????????? (??????????? ????????????? ???????????? ????????????, ??. readme-ru.txt)
        "textFormat": {                 // ????????? ??????
          "font": "$FieldFont",         //   ????????
          "size": 40,                   //   ??????
          "color": null,                // ???? (??????????? ????????????? ????????????? ?????, ??. readme-ru.txt)
          "align": "center",            //   ???????????? ?????? (left, center, right)
          "bold": true,                 //   ??????? (false) ??? ?????? (true)
          "italic": false               //   ??????? (false) ??? ?????? (true)
        },
        "shadow": {                     // ????????? ????
          "enabled": true,
          "distance": 0,                //   ????????? ????????
          "angle": 0,                   //   ???? ????????
          "color": "0x000000",          //   ????
          "alpha": 100,                 //   ????????????
          "blur": 2,                    //   ??????
          "strength": 2                 //   ?????????????
        },
        "format": "!"                   // ?????? ??????. ??. ???????? ???????? ? readme-ru.txt
    },
    "DyingMark_Top": {
        "name": "DyingMark_Top",        // ???????? ?????????? ????, ?? ?? ??? ?? ??????
        "enabled": true,               // false - ?? ??????????
        "x": 0,                         // ????????? ?? ??? X
        "y": -70,                       // ????????? ?? ??? Y
        "alpha": "{{a:hp-ratio}}",      // ???????????? (??????????? ????????????? ???????????? ????????????, ??. readme-ru.txt)
        "textFormat": {                 // ????????? ??????
          "font": "$FieldFont",         //   ????????
          "size": 13,                   //   ??????
          "color": null,          // ???? (??????????? ????????????? ????????????? ?????, ??. readme-ru.txt)
          "align": "center",            //   ???????????? ?????? (left, center, right)
          "bold": false,                //   ??????? (false) ??? ?????? (true)
          "italic": false               //   ??????? (false) ??? ?????? (true)
        },
        "shadow": {                     // ????????? ????
          "enabled": true,
          "distance": 0,                //   ????????? ????????
          "angle": 0,                   //   ???? ????????
          "color": "0x000000",          //   ????
          "alpha": 100,                 //   ????????????
          "blur": 2,                    //   ??????
          "strength": 2                 //   ?????????????
        },
        "format": "<img src='cfg://grandpa/images/{{ally?help|kill}}/{{c:vtype}}.png' width='29' height='29'>" 
    },
	"clanIcon": {
		"name": "clanIcon",
		"x": 0,
		"y": -70,
		"alpha": 100,
		"enabled": false,
		"shadow": {
			"enabled": false,
			"strength": 13,
			"alpha": 50,
			"distance": 1,
			"blur": 5,
			"color": "0x000000",
			"angle": 45
		},
		"textFormat": {
			"color": null,
			"bold": false,
			"font": "$FieldFont",
			"size": 11,
			"align": "center",
			"italic": false
		},
		"format": "<img src='{{clanicon}}' width='24' height='24'>"
	},
	"tankClass": {
		"enabled": false,
		"x": 0,
		"y": 0,
		"alpha": 100,
		"align": "center",
		"shadow": { "enabled": true, "distance": 0, "angle": 90, "color": "#000000", "alpha": 90, "blur": 3, "strength": 2 },
		"format": "<font face='xvm' size='28' alpha='90' color='#{{vtype-key=LT?15ff00|{{vtype-key=MT?e3ff00|{{vtype-key=HT?ff0027|{{vtype-key=TD?0078ff|{{vtype-key=SPG?f000ff}}}}}}}}}}'>{{vtype-key=LT?&#x3A;|{{vtype-key=MT?&#x3B;|{{vtype-key=HT?&#x3F;|{{vtype-key=TD?&#x2E;|{{vtype-key=SPG?&#x2D;}}}}}}}}}}</font>"
    }
  },
  // ????????? ??? ?????????.
  "ally": {
    // Type of vehicle icon (HT/MT/LT/TD/Arty).
    // ?????? ???? ????? (??/??/??/??/????).
    "vehicleIcon": {
      // false - disable / ?? ??????????
      "enabled": true,
      // true - show speaker even if enabled=false
      // true - ?????????? ??????, ???? ???? enabled=false
      "showSpeaker": false,
      // Axis field coordinates
      // ????????? ???? ?? ????
      "x": 0,
      "y": -16,
      // Opacity.
      // ????????????.
      "alpha": 100,
      // Maximum scale (default is 100).
      // ???????????? ??????? (?? ????????? 100).
      "maxScale": 100,
      // Offset along the X axis (?)
      // ???????? ?? ??? X (?)
      "offsetX": 0,
      // Offset along the Y axis (?)
      // ???????? ?? ??? Y (?)
      "offsetY": 0
    },
    // ????????? ????????.
    "healthBar": {
      "enabled": true,                  //   false - ?? ??????????
      "x": -36,                         //   ????????? ?? ??? X
      "y": -34,                         //   ????????? ?? ??? Y
      "alpha": 100,                     //   ???????????? (??????????? ????????????? ???????????? ????????????, ??. macros.txt)
      "color": null,                    //   ???? ???????? (??????????? ????????????? ????????????? ?????, ??. macros.txt)
      "lcolor": null,                   //   ???? ?????????????? (??? ?????????)
      "width": 70,                      //   ?????? ?????? ????????
      "height": 4,                     //   ?????? ?????? ????????
      // ????????? ???????? ? ?????.
      "border": {
        "alpha": 45,                    //     ????????????
        "color": "0x000000",            //     ????
        "size": 1                       //     ?????? ?????
      },
      // ????????? ??????????? ????????.
      "fill": {
        "alpha": 50                     //     ????????????
      },
      // ????????? ???????? ??????????? ????????.
      "damage": {
        "alpha": 100,                   //     ????????????
        "color": null,           //     ????
        "fade": 1                       //     ????? ????????? ? ????????
      }
    },
    // Floating damage values for ally, player, squadman.
    // ??????????? ???? ??? ????????, ??????, ?????????.
     "damageText": {
      "$ref": { "path":"def.damageTextAlly" }
    },
    "damageTextPlayer": {
      "$ref": { "path":"def.damageTextAlly" }
    },
    "damageTextSquadman": {
      "$ref": { "path":"def.damageTextAlly" }
    },
    // Vehicle contour icon.
    // ????????? ?????? ?????.
    "contourIcon": {
      // false - disable / ?? ??????????.
      "enabled": false,
      // Axis field coordinates.
      // ????????? ???? ?? ????.
      "x": 0,
      "y": -57,
      // Opacity (dynamic transparency allowed, see macros.txt).
      // ???????????? (??????????? ????????????? ???????????? ????????????, ??. macros.txt).
      "alpha": 100,
      // Color (dynamic colors allowed, see macros.txt).
      // ???? (??????????? ????????????? ????????????? ?????, ??. macros.txt).
      "color": null,
      // Color intensity from 0 to 100. The default is 0 (off).
      // ????????????? ????? ?? 0 ?? 100. ?? ????????? 0, ?.?. ?????????.
      "amount": 1
    },
    // Vehicle tier.
    // ??????? ?????.
    "levelIcon": {
      "enabled": false,  // false - disable        / ?? ??????????.
      "x": 0,            // Position on the X axis / ????????? ?? ??? X.
      "y": -16,          // Position on the Y axis / ????????? ?? ??? Y.
      "alpha": 100       // Opacity                / ????????????.
    },
    // Markers "Help!" and "Attack!".
    // ??????? "????? ??????" ? "??????".
    "actionMarker": {
      "enabled": true,   // false - disable        / ?? ??????????.
      "x": 0,            // Position on the X axis / ????????? ?? ??? X.
      "y": -67,          // Position on the Y axis / ????????? ?? ??? Y.
      "alpha": 100       // Opacity                / ????????????.
    },
    // Stun marker and consumables marker in "Frontline Returns" mode (smoke screen, morale boost, engineering crew)
    // ?????? ????????? ? ?????? ??????? ?????????? ? ?????? "????? ??????" (??????? ??????, ?????????????, ?????????? ?????)
    "vehicleStatusMarker": {
      "enabled": true,
      "x": 0,
      "y": -87,
      "alpha": 100
    },
    // Block of text fields.
    // ???? ????????? ?????.
    "textFields": [
      ${ "def.GlobalBattles" },
      ${ "def.GlobalRating" },
      ${ "def.GlobalWinratio" },
      ${ "def.TankWinRatio" },
      ${ "def.GlobalBattlesStar" },
      ${ "def.GlobalRatingStar" },
      ${ "def.GlobalWinratioStar" },
      ${ "def.TankWinRatioStar" },
      ${ "def.tankName" },
      ${ "def.playerName" },
      ${ "def.tankHp" },
      ${ "def.StockTurretMarker" },
      ${ "def.RatingMarker_Left" },
      ${ "def.rating" },
      ${ "def.TierNumber" },
      ${ "def.DyingMark_Top" },
      ${ "def.DyingMark_Right" },
      ${ "def.xmqpEvent" },
      ${ "def.clanIcon" },
      ${ "def.tankClass" },
	  {}
    ]
  },
  // ????????? ??? ???????????.
  "enemy": {
    // Type of vehicle icon (HT/MT/LT/TD/Arty).
    // ?????? ???? ????? (??/??/??/??/????).
    "vehicleIcon": {
      "enabled": true,
      "showSpeaker": false,
      "x": 0,
      "y": -16,
      "alpha": 100,
      "maxScale": 100,
      "offsetX": 0,
      "offsetY": 0
    },
    // ????????? ????????.
    "healthBar": {
      "enabled": true,
      "x": -36,
      "y": -34,
      "alpha": 100,
      "color": null,
      "lcolor": null,
      "width": 70,
      "height": 4,
      "border": {
        "alpha": 35,
        "color": "0x000000",
        "size": 1
      },
      "fill": {
        "alpha": 50
      },
      "damage": {
        "alpha": 100,
        "color": "{{c:dmg}}",
        "fade": 1
      }
    },
    // Floating damage values for ally, player, squadman.
    // ??????????? ???? ??? ????????, ??????, ?????????.
     "damageText": {
      "$ref": { "path":"def.damageTextEnemy" }
    },
    "damageTextPlayer": {
      "$ref": { "path":"def.damageTextEnemy" }
    },
    "damageTextSquadman": {
      "$ref": { "path":"def.damageTextEnemy" }
    },
    // Vehicle contour icon.
    // ????????? ?????? ?????.
    "contourIcon": {
      "enabled": false,
      "x": 0,
      "y": -57,
      "alpha": 100,
      "color": null,
      "amount": 1
    },
    // Vehicle tier.
    // ??????? ?????.
    "levelIcon": {
      "enabled": false,
      "x": 0,
      "y": -16,
      "alpha": 100
    },
    // Markers "Help!" and "Attack!".
    // ??????? "????? ??????" ? "??????".
    "actionMarker": {
      "enabled": true,
      "x": 0,
      "y": -67,
      "alpha": 100
    },
    // Stun marker
    // ?????? ?????????
    "vehicleStatusMarker": {
      "enabled": true,
      "x": 0,
      "y": -87,
      "alpha": 100
    },
    // Damage indicator (ricochet, critical hit, ...)
    // ????????? ????? (???????, ??????????? ????, ...)
    "damageIndicator": {
      "enabled": true,   // false - disable        / ?? ??????????.
      "showText": true,  // false - show only icon / ?????????? ?????? ??????.
      "x": 53,           // Position on the X axis / ????????? ?? ??? X.
      "y": -27,          // Position on the Y axis / ????????? ?? ??? Y.
      "alpha": 100       // Opacity                / ????????????.
    },
    // Block of text fields.
    // ???? ????????? ?????.
    "textFields": [
      ${ "def.GlobalBattles" },
      ${ "def.GlobalRating" },
      ${ "def.GlobalWinratio" },
      ${ "def.TankWinRatio" },
      ${ "def.GlobalBattlesStar" },
      ${ "def.GlobalRatingStar" },
      ${ "def.GlobalWinratioStar" },
      ${ "def.TankWinRatioStar" },
      ${ "def.tankName" },
      ${ "def.playerName" },
      ${ "def.tankHp" },
      ${ "def.StockTurretMarker" },
      ${ "def.RatingMarker_Left" },
      ${ "def.rating" },
      ${ "def.TierNumber" },
      ${ "def.DyingMark_Top" },
      ${ "def.DyingMark_Right" },
      ${ "def.position" },
      ${ "def.clanIcon" },
      ${ "def.tankClass" },
	  {}
    ]
  }
}