﻿/**
 * Options for dead without Alt markers.
 * ????????? ???????? ??? ?????? ??? Alt.
 */
{
  // Definitions
  // ???????
  "def": {
    "damageTextAlly": {
      "enabled": true,
      "x": 0,
      "y": -67,
      "alpha": 100,
      "textFormat": { "bold": true, "align": "center", "color": "0xA8FFB8", "font": "$FieldFont", "size": 14 },
      "shadow": {
        "enabled": true,
        "alpha": 90, 
		"angle": 90,
		"distance": 1,
        "color": "0x008718",
        "blur": 3,
        "strength": 1.5
      },
      "speed": 3,
      "maxRange": 100,
      "damageMessage": "<img src='cfg://grandpa/images/markers/ally.png' height='48' width='48' vspace='-7' align='middle'><font size='20'>-{{dmg}}</font>\n<font size='18'>{{vehicle}}</font> <img src='cfg://grandpa/images/markers/{{vtype-key}}.png' vspace='-7' align='middle'>",
      "blowupMessage": "<img src='cfg://grandpa/images/markers/ally.png' height='48' width='48' vspace='-7' align='middle'><font size='20'>-{{dmg}}</font>\n<font size='18'>{{vehicle}}</font> <img src='cfg://grandpa/images/markers/ammogreen.png' vspace='-7' align='middle'>"     
    },
    "damageTextEnemy": {
      "enabled": true,
      "x": 0,
      "y": -67,
      "alpha": 100,
      "textFormat": { "bold": true, "align": "center", "color": "0xFFCCCC", "font": "$FieldFont", "size": 14 },
     "shadow": {
        "enabled": true,
		"alpha": 100, 
		"angle": 90,
		"distance": 1,
        "color": "0xC10000",
        "blur": 3,
        "strength": 2
      },
      "speed": 3,
      "maxRange": 100,
      "damageMessage": "<img src='cfg://grandpa/images/markers/enemy.png' height='48' width='48' vspace='-7' align='middle'><font size='20'>-{{dmg}}</font>\n<font size='18'>{{vehicle}}</font> <img src='cfg://grandpa/images/markers/{{vtype-key}}.png' vspace='-7' align='middle'>",
      "blowupMessage": "<img src='cfg://grandpa/images/markers/ammored.png' height='48' width='48' vspace='-7' align='middle'><font size='20'>-{{dmg}}</font>\n<font size='18'>{{vehicle}}</font> <img src='cfg://grandpa/images/markers/{{vtype-key}}.png' vspace='-7' align='middle'>"
    }
  },
  // ????????? ??? ?????????.
  "ally": {
    // Type of vehicle icon (HT/MT/LT/TD/Arty).
    // ?????? ???? ????? (??/??/??/??/????).
    "vehicleIcon": {
      // false - disable / ?? ??????????
      "enabled": true,
      // true - show speaker even if enabled=false
      // true - ?????????? ??????, ???? ???? enabled=false
      "showSpeaker": false,
      // Axis field coordinates
      // ????????? ???? ?? ????
      "x": 0,
      "y": -16,
      // Opacity.
      // ????????????.
      "alpha": 100,
      // Maximum scale (default is 100).
      // ???????????? ??????? (?? ????????? 100).
      "maxScale": 100,
      // Offset along the X axis (?)
      // ???????? ?? ??? X (?)
      "offsetX": 0,
      // Offset along the Y axis (?)
      // ???????? ?? ??? Y (?)
      "offsetY": 0
    },
    // ????????? ????????.
    "healthBar": {
      "enabled": false,                  //   false - ?? ??????????
      "x": -36,                         //   ????????? ?? ??? X
      "y": -34,                         //   ????????? ?? ??? Y
      "alpha": 100,                     //   ???????????? (??????????? ????????????? ???????????? ????????????, ??. macros.txt)
      "color": null,                    //   ???? ???????? (??????????? ????????????? ????????????? ?????, ??. macros.txt)
      "lcolor": null,                   //   ???? ?????????????? (??? ?????????)
      "width": 70,                      //   ?????? ?????? ????????
      "height": 4,                     //   ?????? ?????? ????????
      // ????????? ???????? ? ?????.
      "border": {
        "alpha": 45,                    //     ????????????
        "color": "0x000000",            //     ????
        "size": 1                       //     ?????? ?????
      },
      // ????????? ??????????? ????????.
      "fill": {
        "alpha": 50                     //     ????????????
      },
      // ????????? ???????? ??????????? ????????.
      "damage": {
        "alpha": 100,                   //     ????????????
        "color": null,           //     ????
        "fade": 1                       //     ????? ????????? ? ????????
      }
    },
    // Floating damage values for ally, player, squadman.
    // ??????????? ???? ??? ????????, ??????, ?????????.
    "damageText": {
      "$ref": { "path":"def.damageTextAlly" }
    },
    "damageTextPlayer": {
      "$ref": { "path":"def.damageTextAlly" }
    },
    "damageTextSquadman": {
      "$ref": { "path":"def.damageTextAlly" }
    },
    // Vehicle contour icon.
    // ????????? ?????? ?????.
    "contourIcon": {
      // false - disable / ?? ??????????.
      "enabled": false,
      // Axis field coordinates.
      // ????????? ???? ?? ????.
      "x": 0,
      "y": -47,
      // Opacity (dynamic transparency allowed, see macros.txt).
      // ???????????? (??????????? ????????????? ???????????? ????????????, ??. macros.txt).
      "alpha": 100,
      // Color (dynamic colors allowed, see macros.txt).
      // ???? (??????????? ????????????? ????????????? ?????, ??. macros.txt).
      "color": null,
      // Color intensity from 0 to 100. The default is 0 (off).
      // ????????????? ????? ?? 0 ?? 100. ?? ????????? 0, ?.?. ?????????.
      "amount": 0
    },
    // Vehicle tier.
    // ??????? ?????.
    "levelIcon": {
      "enabled": false,  // false - disable        / ?? ??????????.
      "x": 0,            // Position on the X axis / ????????? ?? ??? X.
      "y": -16,          // Position on the Y axis / ????????? ?? ??? Y.
      "alpha": 100       // Opacity                / ????????????.
    },
    // Markers "Help!" and "Attack!".
    // ??????? "????? ??????" ? "??????".
    "actionMarker": {
      "enabled": true,   // false - disable        / ?? ??????????.
      "x": 0,            // Position on the X axis / ????????? ?? ??? X.
      "y": -67,          // Position on the Y axis / ????????? ?? ??? Y.
      "alpha": 100       // Opacity                / ????????????.
    },
    // Block of text fields.
    // ???? ????????? ?????.
    "textFields": []
  },
  // ????????? ??? ???????????.
  "enemy": {
    // Type of vehicle icon (HT/MT/LT/TD/Arty).
    // ?????? ???? ????? (??/??/??/??/????).
    "vehicleIcon": {
      "enabled": true,
      "showSpeaker": false,
      "x": 0,
      "y": -16,
      "alpha": 100,
      "maxScale": 100,
      "offsetX": 0,
      "offsetY": 0
    },
    // ????????? ????????.
    "healthBar": {
      "enabled": false,
      "x": -36,
      "y": -34,
      "alpha": 100,
      "color": null,
      "lcolor": null,
      "width": 70,
      "height": 4,
      "border": {
        "alpha": 35,
        "color": "0x000000",
        "size": 1
      },
      "fill": {
        "alpha": 50
      },
      "damage": {
        "alpha": 100,
        "color": "{{c:dmg}}",
        "fade": 1
      }
    },
    // Floating damage values for ally, player, squadman.
    // ??????????? ???? ??? ????????, ??????, ?????????.
    "damageText": {
      "$ref": { "path":"def.damageTextEnemy" }
    },
    "damageTextPlayer": {
     "enabled": true,
      "x": 0,
      "y": -67,
      "alpha": 100,
      "textFormat": { "bold": true, "align": "center", "color": "0xFFFF00", "font": "$FieldFont", "size": 14 },
     "shadow": {
        "enabled": true,
		"alpha": 100, 
		"angle": 90,
		"distance": 1,
        "color": "0xC10000",
        "blur": 3,
        "strength": 2
      },
      "speed": 3,
      "maxRange": 100,
      "damageMessage": "<img src='cfg://grandpa/images/markers/death.png' vspace='-1' align='middle'><font color='#FFFFFF' size='18'>{{my-frags=1?First Blood!|{{my-frags=2?Double Kill!|{{my-frags=3?Triple Kill!|{{my-frags=4?Four Aces!|{{my-frags=5?Cinco Kills!|{{my-frags=6?TOP GUN!}}}}}}}}}}}}</font> <font size='20'>-{{dmg}}</font>\n<font size='18'>{{vehicle}}</font> <img src='cfg://grandpa/images/markers/{{vtype-l}}.png' vspace='-7' align='middle'> ",
      "blowupMessage": "<img src='cfg://grandpa/images/markers/ammored.png' vspace='-1' width='20' height='20' align='middle'><font color='#FFFFFF' size='18'>{{my-frags=1?First Blood!|{{my-frags=2?Double Kill!|{{my-frags=3?Triple Kill!|{{my-frags=4?Four Aces!|{{my-frags=5?Cinco Kills!|{{my-frags=6?TOP GUN!}}}}}}}}}}}}</font><font size='20'>-{{dmg}}</font> \n<font size='18'>{{vehicle}}</font> <img src='cfg://grandpa/images/markers/{{vtype-l}}.png' vspace='-7' align='middle'> "
    },
    "damageTextSquadman": {
      "$ref": { "path":"def.damageTextEnemy" }
    },
    // Vehicle contour icon.
    // ????????? ?????? ?????.
    "contourIcon": {
      "enabled": false,
      "x": 0,
      "y": -47,
      "alpha": 100,
      "color": null,
      "amount": 0
    },
    // Vehicle tier.
    // ??????? ?????.
    "levelIcon": {
      "enabled": false,
      "x": 0,
      "y": -16,
      "alpha": 100
    },
    // Markers "Help!" and "Attack!".
    // ??????? "????? ??????" ? "??????".
    "actionMarker": {
      "enabled": true,
      "x": 0,
      "y": -67,
      "alpha": 100
    },
    // Block of text fields.
    // ???? ????????? ?????.
    "textFields": []
  }
}